Mailinglist Archive: opensuse-factory (536 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20180511 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180511

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
ImageMagick (7.0.7.28 -> 7.0.7.29)
Mesa (18.0.1 -> 18.0.3)
Mesa-drivers (18.0.1 -> 18.0.3)
MozillaFirefox (59.0.2 -> 60.0)
NetworkManager
PackageKit
alsa
appstream-glib (0.7.8 -> 0.7.8+3)
automake (1.15.1 -> 1.16.1)
autoyast2 (4.0.49 -> 4.0.52)
bluedevil5 (5.12.4 -> 5.12.5)
branding-openSUSE
breeze (5.12.4 -> 5.12.5)
breeze-gtk (5.12.4 -> 5.12.5)
breeze4-style (5.12.4 -> 5.12.5)
brotli
btrfsprogs (4.16 -> 4.16.1)
corosync
cups-filters (1.20.2 -> 1.20.3)
desktop-translations (84.87.20180423.2e342f3a -> 84.87.20180507.9a26f9e2)
discover (5.12.4 -> 5.12.5)
drbd (9.0.13+git.b83ade31 -> 9.0.14+git.62f906cf)
drbd-utils (9.3.1 -> 9.4.0)
drkonqi5 (5.12.4 -> 5.12.5)
ekiga
empathy
eog (3.28.1 -> 3.28.2)
evolution (3.28.1 -> 3.28.2)
evolution-data-server (3.28.1 -> 3.28.2)
evolution-ews (3.28.1 -> 3.28.2)
ffmpeg
flatpak-builder (0.10.9 -> 0.10.10)
gdm
geoclue2 (2.4.8 -> 2.4.10)
gimp (2.8.22 -> 2.10.0)
gjs (1.52.2 -> 1.52.3)
glabels (3.4.0 -> 3.4.1)
glib2-branding-openSUSE
gnome-characters (3.28.0 -> 3.28.2)
gnome-contacts (3.28.1 -> 3.28.2)
gnome-control-center
gnome-desktop
gnome-disk-utility (3.28.1 -> 3.28.2)
gnome-keyring (3.28.0.2 -> 3.28.2)
gnome-logs (3.28.0 -> 3.28.2)
gnome-maps (3.28.1 -> 3.28.2)
gnome-music (3.28.1 -> 3.28.2.1)
gnome-photos
gnome-settings-daemon (3.28.0 -> 3.28.1)
gnome-software (3.28.1 -> 3.28.2)
gnome-user-docs (3.28.1 -> 3.28.2)
goffice (0.10.39 -> 0.10.41)
gpg2 (2.2.6 -> 2.2.7)
gstreamer-plugins-libav
gvfs (1.36.1 -> 1.36.2)
hack-fonts (2.020 -> 3.003)
installation-images-Kubic (14.370 -> 14.371)
intel-vaapi-driver (2.0.0 -> 2.1.0)
iproute2
kactivitymanagerd (5.12.4 -> 5.12.5)
kcm_sddm (5.12.4 -> 5.12.5)
kde-cli-tools5 (5.12.4 -> 5.12.5)
kde-gtk-config5 (5.12.4 -> 5.12.5)
kde-user-manager (5.12.4 -> 5.12.5)
kdump (0.8.16 -> 0.9.0)
kernel-source (4.16.6 -> 4.16.7)
kgamma5 (5.12.4 -> 5.12.5)
khotkeys5 (5.12.4 -> 5.12.5)
ki18n
kinfocenter5 (5.12.4 -> 5.12.5)
kio
kmenuedit5 (5.12.4 -> 5.12.5)
krb5 (1.15.2 -> 1.15.3)
krita (4.0.1 -> 4.0.2)
kscreen5 (5.12.4 -> 5.12.5)
kscreenlocker (5.12.4 -> 5.12.5)
ksshaskpass5 (5.12.4 -> 5.12.5)
ksysguard5 (5.12.4 -> 5.12.5)
kwayland-integration (5.12.4 -> 5.12.5)
kwin5 (5.12.4 -> 5.12.5)
leafpad
less (487 -> 530)
libXScrnSaver
libblockdev (2.16 -> 2.17)
libbytesize (1.2 -> 1.3)
libetonyek (0.1.7 -> 0.1.8)
libgcrypt
libgpg-error (1.29 -> 1.31)
libinput (1.10.5 -> 1.10.6)
libkdecoration2 (5.12.4 -> 5.12.5)
libkscreen2 (5.12.4 -> 5.12.5)
libksysguard5 (5.12.4 -> 5.12.5)
libnetfilter_conntrack (1.0.6 -> 1.0.7)
libostree (2018.1 -> 2018.4)
libpsl (0.20.1 -> 0.20.2)
libqt5-qtwebengine
libraw (0.18.8 -> 0.18.9)
librsvg (2.42.3 -> 2.42.4)
libsoup (2.62.1 -> 2.62.2)
libstorage-ng (3.3.262 -> 3.3.272)
libtool
libva (2.0.0 -> 2.1.0)
libva-gl (2.0.0 -> 2.1.0)
libvirt (4.2.0 -> 4.3.0)
libvorbis
libwebp (0.5.0 -> 1.0.0)
libyui-qt (2.49.2 -> 2.49.3)
libyui-qt-graph (2.44.6 -> 2.44.7)
libyui-qt-pkg (2.45.15 -> 2.45.16)
libzypp-plugin-appdata
makedumpfile
man-pages (4.14 -> 4.16)
mariadb (10.2.13 -> 10.2.14)
milou5 (5.12.4 -> 5.12.5)
mpfr
mtools
nautilus-share
ncurses
nmap
openafs (1.8.0~pre5 -> 1.8.0)
openssh
osinfo-db (20180416 -> 20180502)
oxygen5 (5.12.4 -> 5.12.5)
pam
patterns-gnome
phonon (4.10.0 -> 4.10.1)
phonon4qt5 (4.10.0 -> 4.10.1)
php7 (7.2.4 -> 7.2.5)
plasma-framework
plasma-nm5 (5.12.4 -> 5.12.5)
plasma5-addons (5.12.4 -> 5.12.5)
plasma5-desktop (5.12.4 -> 5.12.5)
plasma5-integration (5.12.4 -> 5.12.5)
plasma5-openSUSE (15.0~git20180421T093411~6c02346 ->
15.0~git20180504T125857~b35c1c4)
plasma5-pa (5.12.4 -> 5.12.5)
plasma5-workspace (5.12.4 -> 5.12.5)
polkit-kde-agent-5 (5.12.4 -> 5.12.5)
postgresql
postgresql10
powerdevil5 (5.12.4 -> 5.12.5)
python-dnspython
python-kiwi (9.14.2 -> 9.14.7)
python-libvirt-python (4.1.0 -> 4.3.0)
python-matplotlib
python-numpy (1.14.0 -> 1.14.3)
python-pycparser (2.17 -> 2.18)
python-qt5
python-setuptools (39.0.1 -> 39.1.0)
python3
qalculate
quilt
rpm
samba (4.8.0+git.19.f53c6c0aa6f -> 4.8.1+git.28.de67ff4c74d)
shotwell (0.28.2 -> 0.28.3)
smartmontools
solid
sssd (1.16.0 -> 1.16.1)
subversion
sudo (1.8.22 -> 1.8.23)
sysdig (0.20.0_k4.16.6_1 -> 0.21.0_k4.16.7_1)
systemd
systemd-presets-branding-openSUSE
systemsettings5 (5.12.4 -> 5.12.5)
timezone (2018d -> 2018e)
timezone-java (2018d -> 2018e)
transactional-update (2.1 -> 2.2)
transmission (2.93 -> 2.94)
ucode-intel (20180312 -> 20180425)
unbound (1.7.0 -> 1.7.1)
webkit2gtk3 (2.20.1 -> 2.20.2)
wget (1.19.4 -> 1.19.5)
wireshark (2.4.6 -> 2.6.0)
xdg-desktop-portal-kde (5.12.4 -> 5.12.5)
xdg-utils
yast2 (4.0.72 -> 4.0.73)
yast2-bootloader (4.0.27 -> 4.0.32)
yast2-firewall (4.0.24 -> 4.0.25)
yast2-http-server (4.0.0 -> 4.0.2)
yast2-installation (4.0.50 -> 4.0.55)
yast2-network (4.0.30 -> 4.0.31)
yast2-storage-ng (4.0.169 -> 4.0.178)
yast2-trans (84.87.20180427.16d13b087 -> 84.87.20180508.cec5a7a09)

=== Details ===

==== ImageMagick ====
Version update (7.0.7.28 -> 7.0.7.29)
Subpackages: ImageMagick-extra libMagick++-7_Q16HDRI4 perl-PerlMagick

- instead of disabling test, apply upstream fix introduced
few minutes after upstream report was made
- ImageMagick-filter.t-primitive-circle.patch
+ ImageMagick-draw-circle-primitive.patch
- update to 7.0.7-29:
* Fixed numerous use of uninitialized values, integer overflow,
memory exceeded, and timeouts (credit to OSS Fuzz).
- turn off drawing primitive 'circle' test:
+ ImageMagick-filter.t-primitive-circle.patch
- dropped patches (upstreamed):
- ImageMagick-CVE-2018-9135.patch
- ImageMagick-write.t-pict.patch

==== Mesa ====
Version update (18.0.1 -> 18.0.3)
Subpackages: Mesa-dri-devel Mesa-libEGL1 Mesa-libGL1 Mesa-libglapi0 libgbm1
libwayland-egl1

- Update to 18.0.3
* The is a fairly small release consisting of patches to fix leaks
in RADV and Winsys, fix deadlock in internal queue, fix issues
with ANV allocator, fix blit setup for YUV LoadImage, and some
other patches.
- Update to 18.0.2
* A couple of fixes for Meson that solves some problems regarding
building tests and installation.
* A couple of fixes in state tracker / DRI that was causing crashes
in QtCreator and Firefox, among other problems.
* A couple of fixes for GFX9, that solves a hang in the driver, and
a problem with buffer views.
* SVGA gets also a patch to fix incorrect advertizing of
EGL_KHR_gl_colorspace extension.
* Etnaviv gets a fix for swizzled texture formats.
* Intel drivers get also several patches.
* RADV gets a patch to solve a problem of lot of games complaining
about not having enough memory.

==== Mesa-drivers ====
Version update (18.0.1 -> 18.0.3)
Subpackages: Mesa-dri Mesa-dri-nouveau Mesa-gallium Mesa-libva libvdpau_nouveau
libvdpau_r300 libvdpau_r600 libvdpau_radeonsi libvulkan_intel libvulkan_radeon
libxatracker2

- Update to 18.0.3
* The is a fairly small release consisting of patches to fix leaks
in RADV and Winsys, fix deadlock in internal queue, fix issues
with ANV allocator, fix blit setup for YUV LoadImage, and some
other patches.
- Update to 18.0.2
* A couple of fixes for Meson that solves some problems regarding
building tests and installation.
* A couple of fixes in state tracker / DRI that was causing crashes
in QtCreator and Firefox, among other problems.
* A couple of fixes for GFX9, that solves a hang in the driver, and
a problem with buffer views.
* SVGA gets also a patch to fix incorrect advertizing of
EGL_KHR_gl_colorspace extension.
* Etnaviv gets a fix for swizzled texture formats.
* Intel drivers get also several patches.
* RADV gets a patch to solve a problem of lot of games complaining
about not having enough memory.

==== MozillaFirefox ====
Version update (59.0.2 -> 60.0)
Subpackages: MozillaFirefox-translations-common

- update to Firefox 60.0
* Added a policy engine that allows customized Firefox deployments
in enterprise environments, using Windows Group Policy or a
cross-platform JSON file
* Applied Quantum CSS to render browser UI
* Added support for Web Authentication, allowing the use of USB
tokens for authentication to web sites
* Locale added: Occitan (oc)
MFSA 2018-11 (bsc#1092548)
* CVE-2018-5154 (bmo#1443092)
Use-after-free with SVG animations and clip paths
* CVE-2018-5155 (bmo#1448774)
Use-after-free with SVG animations and text paths
* CVE-2018-5157 (bmo#1449898)
Same-origin bypass of PDF Viewer to view protected PDF files
* CVE-2018-5158 (bmo#1452075)
Malicious PDF can inject JavaScript into PDF Viewer
* CVE-2018-5159 (bmo#1441941)
Integer overflow and out-of-bounds write in Skia
* CVE-2018-5160 (bmo#1436117)
Uninitialized memory use by WebRTC encoder
* CVE-2018-5152 (bmo#1415644, bmo#1427289)
WebExtensions information leak through webRequest API
* CVE-2018-5153 (bmo#1436809)
Out-of-bounds read in mixed content websocket messages
* CVE-2018-5163 (bmo#1426353)
Replacing cached data in JavaScript Start-up Bytecode Cache
* CVE-2018-5164 (bmo#1416045)
CSP not applied to all multipart content sent with
multipart/x-mixed-replace
* CVE-2018-5166 (bmo#1437325)
WebExtension host permission bypass through filterReponseData
* CVE-2018-5167 (bmo#1447969)
Improper linkification of chrome: and javascript: content in
web console and JavaScript debugger
* CVE-2018-5168 (bmo#1449548)
Lightweight themes can be installed without user interaction
* CVE-2018-5169 (bmo#1319157)
Dragging and dropping link text onto home button can set home page
to include chrome pages
* CVE-2018-5172 (bmo#1436482)
Pasted script from clipboard can run in the Live Bookmarks page
or PDF viewer
* CVE-2018-5173 (bmo#1438025)
File name spoofing of Downloads panel with Unicode characters
* CVE-2018-5174 (bmo#1447080) (Windows-only)
Windows Defender SmartScreen UI runs with less secure behavior
for downloaded files in Windows 10 April 2018 Update
* CVE-2018-5175 (bmo#1432358)
Universal CSP bypass on sites using strict-dynamic in their policies
* CVE-2018-5176 (bmo#1442840)
JSON Viewer script injection
* CVE-2018-5177 (bmo#1451908)
Buffer overflow in XSLT during number formatting
* CVE-2018-5165 (bmo#1451452)
Checkbox for enabling Flash protected mode is inverted in 32-bit
Firefox
* CVE-2018-5180 (bmo#1444086)
heap-use-after-free in mozilla::WebGLContext::DrawElementsInstanced
* CVE-2018-5181 (bmo#1424107)
Local file can be displayed in noopener tab through drag and
drop of hyperlink
* CVE-2018-5182 (bmo#1435908)
Local file can be displayed from hyperlink dragged and dropped
on addressbar
* CVE-2018-5151
Memory safety bugs fixed in Firefox 60
* CVE-2018-5150
Memory safety bugs fixed in Firefox 60 and Firefox ESR 52.8
- removed obsolete patches
0001-Bug-1435695-WebRTC-fails-to-build-with-GCC-8-r-dmino.patch
mozilla-bmo1005535.patch
- requires NSPR 4.19 and NSS 3.36.1
- requires rust 1.24 or higher
- use upstream source archive and detached signature for
source verification
- Fix armv7 build by:
* adding RUSTFLAGS="-Cdebuginfo=0"
* updating _constraints for %arm
- do not try CSD on kwin (boo#1091592)
- fix build in openSUSE:Leap:42.3:Update, use gcc7
- Mozilla Firefox 59.0.3:
* fixes for platforms other than GNU/Linux

==== NetworkManager ====
Subpackages: NetworkManager-lang libnm-glib-vpn1 libnm-glib4 libnm-util2 libnm0
typelib-1_0-NM-1_0

- Add NM-look-at-all-rp-filter-value.patch: look at 'all' rp_filter
value too to determine actual value (bsc#1084336, bgo#794689).

==== PackageKit ====
Subpackages: PackageKit-backend-zypp PackageKit-gstreamer-plugin
PackageKit-gtk3-module PackageKit-lang libpackagekit-glib2-18
typelib-1_0-PackageKitGlib-1_0

- offline updates should be disabled in Leap too, just like SLE

==== alsa ====
Subpackages: libasound2 libasound2-32bit

- Backport UCM fix and new profiles from upstream (bsc#1091678):
0001-ucm-adding-the-folder-of-card_long_name-when-finding.patch
0002-conf-ucm-increase-the-input-volume-for-LineIn.patch
0003-conf-ucm-chtrt5645-Cleanup-and-playback-fixes.patch
0004-conf-ucm-chtrt5645-Microphone-recording-fixes.patch
0005-conf-ucm-chtrt5645-Fix-recording-from-internal-analo.patch
0006-conf-ucm-chtrt5645-At-config-for-the-Asus-T100HA.patch
0007-conf-ucm-chtrt5645-At-config-for-the-Lenovo-Ideapad-.patch
0008-conf-ucm-Add-a-UCM-profile-for-Dell-WD15-Dock-USB-au.patch

==== appstream-glib ====
Version update (0.7.8 -> 0.7.8+3)
Subpackages: appstream-glib-lang libappstream-builder8 libappstream-glib8

- Update to version 0.7.8+3:
+ Use the launchable to find the desktop filename when using
appstream-builder.
+ Follow the Debian tilde usage when ordering versions.

==== automake ====
Version update (1.15.1 -> 1.16.1)

- Update to 1.16.1. Changes since 1.15.1:
- 'install-sh' now ensures that nobody can cross privilege boundaries by
pre-creating symlink on the directory inside "/tmp".
- 'automake' does not depend on the 'none' subroutine of the List::Util
module anymore to support older Perl version. (automake bug#30631)
- A regression in AM_PYTHON_PATH causing the rejection of non literal
minimum version parameter hasn't been fixed. (automake bug#30616)
* Miscellaneous changes
- When subdir-objects is in effect, Automake will now construct
shorter object file names when no programs and libraries name
clashes are encountered. This should make the discouraged use of
'foo_SHORTNAME' unnecessary in many cases.
* Bugs fixed:
- Automatic dependency tracking has been fixed to work also when the
'subdir-object' option is used and some 'foo_SOURCES' definition
contains unexpanded references to make variables, as in, e.g.:
a_src = sources/libs/aaa
b_src = sources/bbb
foo_SOURCES = $(a_src)/bar.c $(b_src)/baz.c
With such a setup, the created makefile fragment containing dependency
tracking information will be correctly placed under the directories
named 'sources/libs/aaa/.deps' and 'sources/bbb/.deps', rather than
mistakenly under directories named (literally!) '$(src_a)/.deps' and
'$(src_b)/.deps' (this was the first part of automake bug#13928).
Notice that in order to fix this bug we had to slightly change the
semantics of how config.status bootstraps the makefile fragments
required for the dependency tracking to work: rather than attempting
to parse the Makefiles via grep and sed trickeries only, we actually
invoke 'make' on a slightly preprocessed version of those Makefiles,
using a private target that is only meant to bootstrap the required
makefile fragments.
- The 'subdir-object' option no longer causes object files corresponding
to source files specified with an explicit '$(srcdir)' component to be
placed in the source tree rather than in the build tree.
For example, if Makefile.am contains:
AUTOMAKE_OPTIONS = subdir-objects
foo_SOURCES = $(srcdir)/foo.c $(srcdir)/s/bar.c $(top_srcdir)/baz.c
then "make all" will create 'foo.o' and 's/bar.o' in $(builddir) rather
than in $(srcdir), and will create 'baz.o' in $(top_builddir) rather
than in $(top_srcdir).
This was the second part of automake bug#13928.
- Installed 'aclocal' m4 macros can now accept installation directories
containing '@' characters (automake bug#20903)
- "./configure && make dist" no longer fails when a distributed file depends
on one from BUILT_SOURCES.
- When combining AC_LIBOBJ or AC_FUNC_ALLOCA with the
"--disable-dependency-tracking" configure option in an out of source
build, the build sub-directory defined by AC_CONFIG_LIBOBJ_DIR is now
properly created. (automake bug#27781)
- The time printed by 'mdate-sh' is now using the UTC time zone to support
the reproducible build effort. (automake bug#20314)
- The elisp byte-compilation rule now uses byte-compile-dest-file-function,
rather than byte-compile-dest-file, which was obsoleted in 2009. We expect
that Emacs-26 will continue to support the old function, but will complain
loudly, and that Emacs-27 will remove support for it altogether.
- Build serially as a missing dependency makes parallel builds fail.
- Update the list of licenses.
- Avoid bashisms in test-driver:
* 0001-correct-parameter-parsing-in-test-driver-script.patch
Use test's = operator instead of ==; use '[' instead of '[['.
This avoids 'make check' failures of distribution tarballs (built on
openSUSE) on platforms not supporting bashisms, e.g. NetBSD-7.1.
- Add missing BuildRequires perl(Thread::Queue)
- Update to version 1.15.1:
* The code has been adapted to remove a warning present since
Perl 5.22 stating that "Unescaped left brace in regex is
deprecated". This warning has become an hard error in Perl 5.26
* The generated Makefiles do not rely on the obsolescent GZIP
environment variable which was used for passing arguments to
'gzip'. Compatibility with old versions has been preserved.
* Miscellaneous changes:
- Drop no longer needed patches:
* automake-perl-5.22.patch
* automake-fix-tests-gzip.patch
- Add keyring
- Small spec file cleanup
- use vendor suse instead of IBM on s390x
- Fix tests with gzip-1.7 and later:
* automake-fix-tests-gzip.patch
- add 0001-correct-parameter-parsing-in-test-driver-script.patch
make parameter parsing of test driver script matching the help
text
- Add automake-perl-5.22.patch: Fix test suite with perl 5.22 by
silencing some warnings.
- move delete of info file to preun section
- Update to 1.15:
New in 1.15:
* Improvements and refactorings in the install-sh script:
- It has been modernized, and now makes the following assumptions
* unconditionally*:
(1) a working 'dirname' program is available;
(2) the ${var:-value} shell parameters substitution works;
(3) the "set -f" and "set +f" shell commands work, and, respectively,
disable and enable shell globbing.
- The script implements stricter error checking, and now it complains
and bails out if any of the following expectations is not met:
(1) the options -d and -t are never used together;
(2) the argument passed to option -t is a directory;
(3) if there are two or more SOURCEFILE arguments, the
DESTINATION argument must be a directory.
* Automake-generated testsuites:
- The default test-driver used by the Automake-generates testsuites
now appends the result and exit status of each "plain" test to the
associated log file (automake bug#11814).
- The perl implementation of the TAP testsuite driver is no longer
installed in the Automake's scripts directory, and is instead just
distributed as a "contrib" addition. There should be no reason to
use this implementation anyway in real packages, since the awk+shell
implementation of the TAP driver (which is documented in the manual)
is more portable and has feature parity with the perl implementation.
- The rule generating 'test-suite.log' no longer risk incurring in an
extra useless "make all" recursive invocation in some corner cases
(automake bug#16302).
* Distribution:
- Automake bug#18286: "make distcheck" could sometimes fail to detect
files missing from the distribution tarball, especially in those cases
where both the generated files and their dependencies are explicitly
in $(srcdir). An important example of this are *generated* makefile
fragments included at Automake time in Makefile.am; e.g.:
...
$(srcdir)/fragment.am: $(srcdir)/data.txt $(srcdir)/preproc.sh
cd $(srcdir) && $(SHELL) preproc.sh <data.txt >fragment.am
include $(srcdir)/fragment.am
...
If the use forgot to add data.txt and/or preproc.sh in the distribution
tarball, "make distcheck" would have erroneously succeeded! This issue
is now fixed.
- As a consequence of the previous change, "make distcheck" will run
using '$(distdir)/_build/sub' as the build directory, rather than
simply '$(distdir)/_build' (as it was the case for Automake 1.14 and
earlier). Consequently, the './configure' and 'make' invocations
issued by the distcheck recipe now have $(srcdir) equal to '../..',
rather than to just '..'. Dependent and similar variables (e.g.,
'$(top_srcdir)') are also changed accordingly.
Thus, Makefiles that made assumptions about the exact values of the
build and source directories used by "make distcheck" will have to
be adjusted. Notice that making such assumptions was a bad and
unsupported practice anyway, since the exact locations of those
directories should be considered implementation details, and we
reserve the right to change them at any time.
* Miscellaneous bugs fixed:
- The expansion of AM_INIT_AUTOMAKE ends once again with a trailing
newline (bug#16841). Regression introduced in Automake 1.14.
- We no longer risk to use '$ac_aux_dir' before it's defined (see
automake bug#15981). Bug introduced in Automake 1.14.
- The code used to detect whether the currently used make is GNU make
or not (relying on the private macro 'am__is_gnu_make') no longer
risks causing "Arg list too long" for projects using automatic
dependency tracking and having a ton of source files (bug#18744).
- Automake tries to offer a more deterministic output for generated
Makefiles, in the face of the newly-introduced randomization for
hash keys order in Perl 5.18.
- In older Automake versions, if a user defined one single Makefile
fragment (say 'foo.am') to be included via Automake includes in
his main Makefile.am, and defined a custom make rule to generate that
file from other data, Automake used to spuriously complain with some
message like "... overrides Automake target '$(srcdir)/foo.am".
This bug is now fixed.
- The user can now extend the special .PRECIOUS target, the same way
he could already do with the .MAKE .and .PHONY targets.
- Some confusing typos have been fixed in the manual and in few warning
messages (automake bug#16827 and bug#16997).
- Remove automake-fix-ac_aux_dir-used-before-initialized.patch as the
change is incorporated now.
- Refresh automake-SuSE.patch and automake-require_file.patch so that
they apply cleanly.
- Add automake-fix-ac_aux_dir-used-before-initialized.patch in
to fix the use of $ac_aux_dir before being initialized
- Explicitely pass the directory name to setup so that the testsuite
can run.
- Update to new upstream release 1.14.1
* The 'compile' script is now unconditionally required for all
packages that perform C compilation
* The AM_PROG_CC_C_O macro can still be called, albeit that
should no longer be necessary.
* The special Automake-time substitutions '%reldir%' and
'%canon_reldir%' (and their short versions, '%D%' and '%C%'
respectively) can now be used in an included Makefile fragment.
The former is substituted with the relative directory of the
included fragment (compared to the top-level including
Makefile), and the latter with the canonicalized version of the
same relative directory.
* The 'shar' and 'compress' distribution formats are deprecated
- Add expect as BuildRequires/Requires for automake-testsuite.
- fix tests on factory
automake-1.13.4-fix-primary-prefix-invalid-couples-test.patch
- Update to 1.13.4:
- Fix a minor regression introduced in Automake 1.13.3: when two or more
user-defined suffix rules were present in a single Makefile.am,
automake would needlessly include definition of some make variables
related to C compilation in the generated Makefile.in (bug#14560).
- Adapt automake-SuSE.patch to changed config.guess.
- Update to 1.13.3:
* Documentation fixes:
- The documentation no longer mistakenly reports that the
obsolete 'AM_MKDIR_PROG_P' macro and '$(mkdir_p)' make variable
are going to be removed in Automake 2.0.
* Bugs fixed:
- Byte-compilation of Emacs lisp files could fail spuriously on
Solaris, when /bin/ksh or /usr/xpg4/bin/sh were used as shell.
- If the same user-defined suffixes were transformed into
different Automake-known suffixes in different Makefile.am
files in the same project, automake could get confused and
generate inconsistent Makefiles (automake bug#14441).
For example, if 'Makefile.am' contained a ".ext.cc:" suffix
rule, and 'sub/Makefile.am' contained a ".ext.c:" suffix rule,
automake would have mistakenly placed into 'Makefile.in' rules
to compile "*.c" files into object files, and into
'sub/Makefile.in' rules to compile "*.cc" files into object
files --- rather than the other way around. This is now fixed.
- Several spurious failures have been fixed (they hit especially
MinGW/MSYS builds). See automake bugs #14493, #14494, #14495,
[#14498], #14499, #14500, #14501, #14517 and #14528.
- Some other minor miscellaneous changes and fixlets.
- Patches updated to they apply cleanly and with no offset.
- Remove aclocal-am_ac.patch and aclocal-am_ac.sh as they aren't
needed anymore and instead cause havok.
- Update to 1.13.2 (for the full change log please see the file NEWS
in the package documentation):
* Obsolescent features:
- Use of suffix-less info files (that can be specified through the
'@setfilename' macro in Texinfo input files) is discouraged, and
its use will raise warnings in the 'obsolete' category.
- Use of Texinfo input files with '.txi' or '.texinfo' extensions
is discouraged, and its use will raise warnings in the 'obsolete'
category. You are advised to simply use the '.texi' extension
instead.
* Documentation fixes:
- The long-deprecated but still supported two-arguments invocation form
of AM_INIT_AUTOMAKE is documented once again.
* Bugs fixed:
- When the 'ustar' option is used, the generated configure script no
longer risks hanging during the tests for the availability of the
'pax' utility, even if the user running configure has a UID or GID
that requires more than 21 bits to be represented.
- The obsolete macros AM_CONFIG_HEADER or AM_PROG_CC_STDC work once
again, as they did in Automake 1.12.x (albeit printing runtime
warnings in the 'obsolete' category).
- aclocal will no longer error out if the first local m4 directory
(as specified by the '-I' option or the 'AC_CONFIG_MACRO_DIRS' or
'AC_CONFIG_MACRO_DIR' macros) doesn't exist; it will merely report
a warning in the 'unsupported' category.
- aclocal will no longer consider directories for extra m4 files more
than once, even if they are specified multiple times.
- Analysis of make flags in Automake-generated rules has been made more
robust, and more future-proof.
- Adapt automake-SUSE.patch to the changed sources.
- add a script to replace obsolete macros in configure.*
- call it from aclocal to avoid having to patch hundreds of packages
- Added url as source.
Please see http://en.opensuse.org/SourceUrls
- Update to version 1.13.1:
* Bugs fixed:
- Use of the obsolete macros AM_CONFIG_HEADER or AM_PROG_CC_STDC now
causes a clear and helpful error message, instead of obscure ones
(issue introduced in Automake 1.13).
- Remove config-guess-sub-update.diff; config.guess and config.sub are
not included anymore in /lib
- Remove
- Clean the specfile; remove useless conditionnal macros
- Automake now provide manfiles by default and help2man is not required
anymore
- update config.guess/sub to the latest state
- Run pre_checkin.sh to sync automake-testsuite pec and .changes.
- Update to 1.12.3:
- reworks and reshuffles the Automake testsuite a bit; fixing some
weaknesses and spurious failures in the process, but also, likely,
introducing new ones;
- introduces initial support for automatic dependency tracking with
the Portland Group C/C++ compilers (thanks to Dave Goodell and
Jeff A. Daily);
- fixes several long-standing bugs and limitations in the 'ylwrap'
script (thanks to Akim Demaille); among the other things, the
long-standing PR/491 and automake bug#7648 are now fixed.
- Remove automake-add-mkdir_p-temporarly.patch:
* Only temporary hack for openSUSE 12.2, now it is time to remove it
- make sure we still define $(mkdir_p) for the time being
- Update to 1.12.1:
Bugs fixed in 1.12.1:
- Several weaknesses in Automake's own build system and test suite
have been fixed.
- Aclocal works correctly with perl 5.16.0 (automake bug#11543).
- Starting from either the next minor version (1.12.2) or the next major
version (1.13), Automake will start warning if 'configure.in' is used
instead of 'configure.ac' as the Autoconf input. Future versions of
Automake will drop support for 'configure.in' altogether.
- Run pre_checkin.sh manually.
- Update to 1.12:
* Changes to Yacc and Lex support:
- C source and header files derived from non-distributed Yacc
and/or Lex sources are now removed by a simple "make clean"
(while they were previously removed only by "make
maintainer-clean").
- Slightly backward-incompatible change, relevant only for use of
Yacc with C++: the extensions of the header files produced by the
Yacc rules are now modelled after the extension of the
corresponding sources. For example, yacc files named "foo.y++"
and "bar.yy" will produce header files named "foo.h++" and
"bar.hh" respectively, where they would have previously produced
header files named simply "foo.h" and "bar.h". This change
offers better compatibility with 'bison -o'.
* Miscellaneous changes:
- The AM_PROG_VALAC macro now causes configure to exit with status
77, rather than 1, if the vala compiler found is too old.
- The build system of Automake itself now avoids the use of make
recursion as much as possible.
- Automake now prefers to quote 'like this' or "like this", rather
than `like this', in diagnostic message and generated Makefiles,
to accommodate the new GNU Coding Standards recommendations.
- Automake has a new option '--print-libdir' that prints the path
of the directory containing the Automake-provided scripts and
data files.
- The 'dist' and 'dist-all' targets now can run compressors in
- parallel.
- The rules to create pdf, dvi and ps output from Texinfo files now
works better with modern 'texi2dvi' script, by explicitly passing
it the '--clean' option to ensure stray auxiliary files are not
left to clutter the build directory.
- Automake can now generate silenced rules for texinfo outputs.
- Some auxiliary files that are automatically distributed by
Automake (e.g., 'install-sh', or the 'depcomp' script for
packages compiling C sources) might now be listed in the
DIST_COMMON variable in many Makefile.in files, rather than in
the top-level one.
- Messages of types warning or error from 'automake' and 'aclocal'
are now prefixed with the respective type, and presence of
- Werror is noted.
- Automake's early configure-time sanity check now tries to avoid
sleeping for a second, which slowed down cached configure runs
noticeably. In that case, it will check back at the end of the
configure script to ensure that at least one second has passed,
to avoid time stamp issues with makefile rules rerunning
autotools programs.
- The warnings in the category 'extra-portability' are now enabled
by '-Wall'. In previous versions, one has to use
'-Wextra-portability' to enable them.
- Various minor bugfixes for recent or long-standing bugs.
For a more detailed list see the file NEWS in the package
documentation.
- Update to 1.11.5:
Bugs fixed in 1.11.5:
* Bugs introduced by 1.11.3:
- Vala files with '.vapi' extension are now recognized and
handled correctly again.
- Vala support work again for projects that contain some program
built from '.vala' (and possibly '.c') sources and some other
program built from '.c' sources *only*.
- Update to 1.11.4
* WARNING - future backward-incompatibilities:
- The support for the "obscure" multilib feature has been deprecated,
and will be moved out of the automake core in the next major Automake
release (1.12).
- The support for ".log -> .html" conversion and the check-html and
recheck-html targets will be removed in the next major Automake
release (1.12).
- The obsolescent AM_WITH_REGEX macro has been deprecated (since the
GNU rx library has been decommissioned), and will be removed in the
next major Automake release (1.12).
- The `lzma' compression format for distribution archives has been
deprecated in favor of `xz' and `lzip', and will be removed in the
next major Automake release (1.12).
- The `--acdir' option of aclocal is deprecated, and will probably be
removed in the next major Automake release (1.12).
- The exact order in which the directories in the aclocal macro
search path are looked up is probably going to be changed in the
next Automake release (1.12).
- The Automake support for automatic de-ANSI-fication will be removed
in the next major Automake release (1.12).
- Starting from the next Automake release (1.12), warnings in the
`extra-portability' category will be enabled by `-Wall' (right now,
one has to use `-Wextra-portability' explicitly).
* Misc changes:
- The 'ar-lib' script now ignores the "s" (symbol index) and "S" (no
symbol index) modifiers as well as the "s" action, as the symbol index
is created unconditionally by Microsoft lib. Also, the "q" (quick)
action is now a synonym for "r" (replace). Also, the script has been
ignoring the "v" (verbose) modifier already since Automake 1.11.3
- When the 'compile' script is used to wrap MSVC, it now accepts an
optional space between the -I, -L and -l options and their respective
arguments, for better POSIX compliance
- There is an initial, experimental support for automatic dependency
tracking with tcc (the Tiny C Compiler). Its associated depmode is
currently recognized as "icc" (but this and other details are likely
to change in future versions)
- Automatic dependency tracking now works also with the IBM XL C/C++
compilers, thanks to the new new depmode 'xlc'
* Bugs fixed:
- A definition of 'noinst_PYTHON' before 'python_PYTHON' (or similar)
don't cause spurious failures upon "make install" anymore
- The user can now instruct the 'uninstall-info' rule not to update
the '${infodir}/dir' file by exporting the environment variable
'AM_UPDATE_INFO_DIR' to the value "no". This is done for consistency
with how the 'install-info' rule operates since automake 1.11.2.
* Long standing bugs:
- It is now possible for a foo_SOURCES variable to hold Vala sources
together with C header files, as well as with sources and headers for
other supported languages (e.g., C++). Previously, only mixing C and
Vala sources was supported
- If "aclocal --install" is used, and the first directory specified with
'-I' is non-existent, aclocal will now create it before trying to copy
files in it
- An empty declaration of a "foo_PRIMARY" don't cause anymore the
generated install rules to create an empty $(foodir) directory;
for example, if Makefile.am contains something like:
pkglibexec_SCRIPTS =
if FALSE
pkglibexec_SCRIPTS += bar.sh
endif
the $(pkglibexec) directory will not be created upon "make install".
- Changes from 1.11.3
- Automake's own build system is more silent by default, making use of
the 'silent-rules' option
- The master copy of the `gnupload' script is now maintained in gnulib,
not in automake
- The `missing' script doesn't try to wrap calls to `tar' anymore
- "make dist" doesn't wrap `tar' invocations with the `missing' script
anymore. Similarly, the obsolescent variable `$(AMTAR)' (which you
shouldn't be using BTW ;-) does not invoke the missing script anymore
to wrap tar, but simply invokes the `tar' program itself
- "make dist" can now create lzip-compressed tarballs
- In the Automake info documentation, the Top node and the nodes about
the invocation of the automake and aclocal programs have been renamed;
now, calling "info automake" will open the Top node, while calling
"info automake-invocation" and "info aclocal-invocation" will access
the nodes about the invocation of respectively automake and aclocal
- Automake is now distributed as a gzip-compressed and an xz-compressed
tarball. Previously, bzip2 was used instead of xz
- The last relics of Python 1.5 support have been removed from the
AM_PATH_PYTHON macro
- For programs and libraries, automake now detects EXTRA_foo_DEPENDENCIES
and adds them to the normal list of dependencies, but without
overwriting the foo_DEPENDENCIES variable, which is normally computed
by automake
* Bugs fixed:
- Automake now correctly recognizes the prefix/primary combination
`pkglibexec_SCRIPTS' as valid
- The parallel-tests harness doesn't trip anymore on sed implementations
with stricter limits on the length of input lines (problem seen at
least on Solaris 8)
* Long standing bugs:
- The "deleted header file problem" for *.am files is avoided by stub
rules. This allows `make' to trigger a rerun of `automake' also if
some previously needed `.am' file has been removed
- The `silent-rules' option now generates working makefiles even
for the uncommon `make' implementations that do not support the
nested-variables extension to POSIX 2008. For such `make'
implementations, whether a build is silent is determined at
configure time, and cannot be overridden at make time with
`make V=0' or `make V=1'
- Vala support now works better in VPATH setups
- Changes from 1.11.2
* Changes to aclocal:
- The `--acdir' option is deprecated. Now you should use the new options
`--automake-acdir' and `--system-acdir' instead.
- The `ACLOCAL_PATH' environment variable is now interpreted as a
colon-separated list of additional directories to search after the
automake internal acdir (by default ${prefix}/share/aclocal-APIVERSION)
and before the system acdir (by default ${prefix}/share/aclocal).
* Misc changes:
- The Automake support for automatic de-ANSI-fication has been
deprecated. It will probably be removed in the next major Automake
release (1.12).
- The `lzma' compression scheme and associated automake option `dist-lzma'
is obsoleted by `xz' and `dist-xz' due to upstream changes.
- You may adjust the compression options used in dist-xz and dist-bzip2.
The default is now merely -e for xz, but still -9 for bzip; you may
specify a different level via the XZ_OPT and BZIP2 envvars respectively.
E.g., "make dist-xz XZ_OPT=-7" or "make dist-bzip2 BZIP2=-5"
- The `compile' script now converts some options for MSVC for a better
user experience. Similarly, the new `ar-lib' script wraps Microsoft lib.
- The py-compile script now accepts empty arguments passed to the options
`--destdir' and `--basedir', and complains about unrecognized options.
Moreover, a non-option argument or a special `--' argument terminates
the list of options.
- A developer that needs to pass specific flags to configure at "make
distcheck" time can now, and indeed is advised to, do so by defining
the developer-reserved makefile variable AM_DISTCHECK_CONFIGURE_FLAGS,
instead of the old DISTCHECK_CONFIGURE_FLAGS.
The DISTCHECK_CONFIGURE_FLAGS variable should now be reserved for the
user; still, the old Makefile.am files that used to define it will
still continue to work as before.
- New macro AM_PROG_AR that looks for an archiver and wraps it in the new
'ar-lib' auxiliary script if the selected archiver is Microsoft lib.
This new macro is required for LIBRARIES and LTLIBRARIES when automake
is run with -Wextra-portability and -Werror.
- When using DejaGnu-based testsuites, the user can extend the `site.exp'
file generated by automake-provided rules by defining the special make
variable `$(EXTRA_DEJAGNU_SITE_CONFIG)'.
- The `install-info' rule can now be instructed not to create/update
the `${infodir}/dir' file, by exporting the new environment variable
`AM_UPDATE_INFO_DIR' to the value "no".
* Bugs fixed:
- When the parallel-tests driver is in use, automake now explicitly
rejects invalid entries and conditional contents in TEST_EXTENSIONS,
instead of issuing confusing and apparently unrelated error messages
(e.g., "non-POSIX variable name", "bad characters in variable name",
or "redefinition of TEST_EXTENSIONS), or even, in some situations,
silently producing broken `Makefile.in' files
- The `silent-rules' option now truly silences all compile rules, even
when dependency tracking is disabled. Also, when `silent-rules' is
not used, `make' output no longer contains spurious backslash-only
lines, thus once again matching what Automake did before 1.11.
- The AM_COND_IF macro also works if the shell expression for the
conditional is no longer valid for the condition.
* Long standing bugs:
- The order of Yacc and Lex flags is fixed to be consistent with other
languages: $(AM_YFLAGS) comes before $(YFLAGS), and $(AM_LFLAGS) before
$(LFLAGS), so that the user variables override the developer variables.
- "make distcheck" now correctly complains also when "make uninstall"
leaves one and only one file installed in $(prefix).
- A "make uninstall" issued before a "make install", or after a mere
"make install-data" or a mere "make install-exec" does not spuriously
fail anymore.
- Automake now warns about more primary/directory invalid combinations,
such as "doc_LIBRARIES" or "pkglib_PROGRAMS".
- Rules generated by Automake now try harder to not change any files when
`make -n' is invoked. Fixes include compilation of Emacs Lisp, Vala, or
Yacc source files and the rule to update config.h.
- Several scripts and the parallel-tests testsuite driver now exit with
the right exit status upon receiving a signal.
- A per-Makefile.am setting of -Werror does not erroneously carry over
to the handling of other Makefile.am files.
- The code for automatic dependency tracking works around a Solaris
make bug triggered by sources containing repeated slashes when the
`subdir-objects' option was used.
- The makedepend and hp depmodes now work better with VPATH builds.
- Java sources specified with check_JAVA are no longer compiled for
"make all", but only for "make check".
- An usage like "java_JAVA = foo.java" will now cause Automake to warn
and error out if `javadir' is undefined, instead of silently producing
a broken Makefile.in.
- aclocal and automake now honour the configure-time definitions of
AUTOCONF and AUTOM4TE when they spawn autoconf or autom4te processes.
- The `install-info' recipe no longer tries to guess whether the
`install-info' program is from Debian or from GNU, and adaptively
change its behaviour; this has proven to be frail and easy to
regress.
- add autoconf as buildrequire to avoid implicit dependency
- correct license and style (prepare_spec)
- minor build fixes, avoid deprecated macros to be more portable
- Remove redundant tags/sections from specfile
- use %_smp_mflags
- Update to 1.11.1 (bnc#559815):
- The `parallel-tests' test driver works around a GNU make 3.80
bug with trailing white space in the test list
(`TESTS = foo $(EMPTY)').
* Long standing bugs:
- The testsuite does not try to change the mode of `ltmain.sh'
files from a Libtool installation (symlinked to test
directories) any more.
- AM_PROG_GCJ uses AC_CHECK_TOOLS to look for `gcj' now, so
that prefixed tools are preferred in a cross-compile setup.
- The distribution is tarred up with mode 755 now by the
`dist*' targets. This fixes a race condition where untrusted
users could modify files in the $(PACKAGE)-$(VERSION) distdir
before packing if the toplevel build directory was
world-searchable. This is CVE-2009-4029.
- Make automake a noarch package.
Sun Dec 6 18:02:39 CET 2009 - jengelh
- enable parallel building
- rediff to avoid fuzz
- Disable the testsuite also for ARM as it blocks/stalls the worker.
- add empty %install section to testsuite to fix build
- split test suit into own package (new policy for bootstrap)
- update to automake-1.11
- noteworthy changes:
- require autoconf-2.62
- The autoconf version check implemented by aclocal in aclocal.m4
(and new in Automake 1.10) is degraded to a warning. This helps
- The automake program can run multiple threads for creating most
Makefile.in files concurrently in the common case where the Autoconf
versions used are compatible.
- Libtool generic flags are now passed to the install and uninstall
modes as well.
- distcheck works with Libtool 2.x even when LT_OUTPUT is used, as
config.lt is removed correctly now.
- subdir-object mode works now with Fortran (F77, FC, preprocessed
Fortran, and Ratfor).
- For files with extension .f90, .f95, .f03, or .f08, the flag
$(FCFLAGS_f[09]x) computed by AC_FC_SRCEXT is now used in compile rules.
- Files with extension .sx are also treated as preprocessed assembler.
- The default source file extension (.c) can be overridden with
AM_DEFAULT_SOURCE_EXT now.
- Python 3.0 is supported now, Python releases prior to 2.0 are no
longer supported.
- AM_PATH_PYTHON honors python's idea about the site directory.
- "make dist" can now create xz-compressed tarballs,
as well as (deprecated?) lzma-compressed tarballs.
- `automake --add-missing' will by default install the GPLv3 file as
COPYING if it is missing.
- for full changelog please see /usr/share/doc/packages/automake/NEWS
- remove automake-fix_check10.patch (fixed upstream)
- add automake-11.1-skip-specflg10-without-g++.patch (from upstream git)
- Add upstream post 1.10.2 patch to fix the failing check10.test.
- Rediff to sync the patches (automake-require_file.patch was off
by ~ 500 lines). Update the reference to bugzilla for this patch.
- Update to 1.10.2:
* Rebuild rules now also work for a removed `subdir/Makefile.in' in
an otherwise up to date tree.
* Work around AIX sh quoting issue in AC_PROG_CC_C_O, leading to
unnecessary use of the `compile' script.
* `config.status --file=Makefile depfiles' now also works with the
extra quoting used internally by Autoconf 2.62 and newer
(it used to work only without the `--file=' bit).
* distcheck works with Libtool 2.x even when LT_OUTPUT is used, as
config.lt is removed correctly now.
* The manual is now distributed under the terms of the GNU FDL 1.3.
* When `automake --add-missing' causes the COPYING file to be installed,
it will also warn that the license file should be added to source
control.
- Add bison again.
- Pass docdir on to configure.
- Add a rpmlintrc file
- Prefix patches with package name.

==== autoyast2 ====
Version update (4.0.49 -> 4.0.52)
Subpackages: autoyast2-installation

- Allow 'subvolumes' and 'subvolumes_prefix' elements to be empty
(bsc#1076337, bsc#1090095 and bsc#1091669).
- Drop 'btrfs_set_default_subvolume_name' element.
- 4.0.52
- Added general API for reporting errors while parsing the AutoYaST
configuration file (part of bnc#1089855).
- 4.0.51
- Display an error and abort the installation when no storage
devices are available for installation (bsc#1091033).
- 4.0.50

==== bluedevil5 ====
Version update (5.12.4 -> 5.12.5)
Subpackages: bluedevil5-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== branding-openSUSE ====
Subpackages: grub2-branding-openSUSE plymouth-branding-openSUSE
wallpaper-branding-openSUSE xfce4-splash-branding-openSUSE
yast2-qt-branding-openSUSE

- Added 5K wallpaper

==== breeze ====
Version update (5.12.4 -> 5.12.5)
Subpackages: breeze5-cursors breeze5-decoration breeze5-style
breeze5-style-lang breeze5-wallpapers

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== breeze-gtk ====
Version update (5.12.4 -> 5.12.5)
Subpackages: gtk2-metatheme-breeze gtk3-metatheme-breeze metatheme-breeze-common

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== breeze4-style ====
Version update (5.12.4 -> 5.12.5)

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== brotli ====
Subpackages: libbrotlicommon1 libbrotlienc1

- Add missing libbrotlicommon%%{sover} and libbrotlidec%%{sover}
Requires to devel subpackage.

==== btrfsprogs ====
Version update (4.16 -> 4.16.1)
Subpackages: btrfsprogs-udev-rules libbtrfs0

- fix installation of btrfs.5.gz
- Fix building on SLE11:
* btrfs-progs: convert: fix support for e2fsprogs < 1.42
* btrfs-progs: build: detect whether -std=gnu90 is supported
* btrfs-progs: build: autoconf 2.63 compatibility
* Fixed mismerged addition of libbtrfsutil1 package description
- Added patches:
* 0001-btrfs-progs-convert-fix-support-for-e2fsprogs-1.42.patch
* 0002-btrfs-progs-build-autoconf-2.63-compatibility.patch
* 0003-btrfs-progs-build-detect-whether-std-gnu90-is-suppor.patch
- update to version 4.16.1
* remove obsolete tools: btrfs-debug-tree, btrfs-zero-log, btrfs-show-super,
btrfs-calc-size
* sb-mod: new debugging tool to edit superblock items
* mkfs: detect if thin-provisioned device does not have enough space
* check: don't try to verify checksums on metadata dump images
* build: fail documentation build if xmlto is not found
* build: fix build of btrfs.static
- Remove patch: 0001-btrfs-progs-build-fix-static-build.patch (upstream)
- Update initrd script

==== corosync ====
Subpackages: libcmap4 libcorosync_common4

- cpg: Inform clients about left nodes during pause(bsc#1091593)
Added: 0012-cpg-Inform-clients-about-left-nodes-during-pause.patch

==== cups-filters ====
Version update (1.20.2 -> 1.20.3)

- Version upgrade to 1.20.3
to fix regression from 1.20.2 that ignores printers published
using legacy CUPS broadcast

==== desktop-translations ====
Version update (84.87.20180423.2e342f3a -> 84.87.20180507.9a26f9e2)

- Update to version 84.87.20180507.9a26f9e2:
* Translated using Weblate (Dutch)
* Translated using Weblate (German)
* Translated using Weblate (Greek)
* Translated using Weblate (Hindi)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Slovak)

==== discover ====
Version update (5.12.4 -> 5.12.5)
Subpackages: discover-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* Improve display of Progress element (kde#393323)
* More elegant syntax for qrc files in cmake
* Make sure we update the checkability of all delegates when one changes
* PK: Improve information on resources that extend others
* Report 0% update progress when not progressing
* Infer cancellability of the StandardBackendUpdater (kde#390319)
* Forward action enabled state into the button
* Don't change the resources while updating (kde#391262)
* Remove unused variable
* Fix typo
* Fix notifier button placement
* Fix warning on Qt 5.11
* Remove wrongly commented code
* Report when root categories change
* Readability
* Properly concatenate strings
* Fix crash when installing flatpak files
* Remove unneeded dependency
* Don't crash when cancelling flatpak jobs (kde#391941)
* Remove unused imports
* --debug
* Make sure we don't crash automatically (kde#392082)
* Fix sorting when the actual comparison matches
* Fix warning in Qt 5.11

==== drbd ====
Version update (9.0.13+git.b83ade31 -> 9.0.14+git.62f906cf)
Subpackages: drbd-kmp-default

- Update to 9.0.14-1
* fix regression in 9.0.13: call after-split-brain-recovery
handlers no auto-recovery strategies (not even the default:
disconnect) would be applied, nodes would stay connected
and all nodes would try to become the source of the resync.
* fix spurious temporary promotion failure: if after Primary
loss failover happened too quickly, transparently retry internally.
* fixup recently introduced P_ZEROES to actually work as intended
* fix online-verify to account for skipped blocks; otherwise,
it won't notice that it has finished, apparently being stuck
near "100% done"
* expose more resync and online-verify statistics and details
* improve accounting of "in-flight" data and resync requests
* allow taking down an already useless minor device during "down",
even if it is (temporarily) opened by for example udev scanning
* fix for a node staying "only" Consistent and not returning
to UpToDate in certain scenarios when fencing is enabled
* fix data generation UUID propagate during resync
* compat for upstream kernels up to v4.17

==== drbd-utils ====
Version update (9.3.1 -> 9.4.0)

- Update to 9.4.0
* drbdmeta: don't exit with negative return codes
* usage counts: only register if we know driver version
* drbdsetup,v9: expose detailed verify/resync statistics
* drbdsetup,v9,json: saner types for client/peer-client/quorum
on --json
* drbdsetup,v9: expose client/peer-client in status if !isatty()

==== drkonqi5 ====
Version update (5.12.4 -> 5.12.5)
Subpackages: drkonqi5-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== ekiga ====
Subpackages: ekiga-lang ekiga-plugins-evolution

- Add ekiga-dont-require-gnome-icon-theme.patch to prevent
configure script from checking for gnome-icon-theme; all
required icons are already part of the hicolor-icon-theme; drop
BuildRequires on gnome-icon-them, and replace it with
hicolor-icon-theme for Requires as well.
- Don't run post(un) scripts for openSUSE >= 1500; these are
taken care of by rpm file triggers.

==== empathy ====

- Drop telepathy-salut requires: Salut is only good for Apple
Bonjour chat, but depends on avahi-python, which is being removed
in favor of the python3 port, which in turn is not supported by
telepathy-salut. The loss of functionality appears acceptable.

==== eog ====
Version update (3.28.1 -> 3.28.2)
Subpackages: eog-lang

- Update to version 3.28.2:
+ Updated translations.
- Update devel package description to be more inclusive about its
contents.
- Point fdupes to the data directory instead of directly the build
root, wich is a practice that must be avoided.

==== evolution ====
Version update (3.28.1 -> 3.28.2)
Subpackages: evolution-lang evolution-plugin-bogofilter
evolution-plugin-pst-import evolution-plugin-spamassassin

- Update to version 3.28.2:
+ [EMailDisplay] Do not call reload when nothing is loaded.
+ Revert message composer part of the previous commit.
+ Bugs fixed: bgo#793583, bgo#795106, bgo#795108, bgo#795289,
bgo#795331.
+ Updated translations.

==== evolution-data-server ====
Version update (3.28.1 -> 3.28.2)
Subpackages: evolution-data-server-lang libcamel-1_2-61 libebackend-1_2-10
libebook-1_2-19 libebook-contacts-1_2-2 libecal-1_2-19 libedata-book-1_2-25
libedata-cal-1_2-28 libedataserver-1_2-23 libedataserverui-1_2-2

- Update to version 3.28.2:
+ Link WebKitGTK+ only with libedataserverui when OAuth2 is
enabled.
+ Stale connection used after resume.
+ Bugs fixed: bgo#795108, bgo#791475, bgo#795295, bgo#795414,
bgo#794727.
+ Updated translations.
- Drop evolution-data-server-icu61.1.patch: Fixed upstream.

==== evolution-ews ====
Version update (3.28.1 -> 3.28.2)
Subpackages: evolution-ews-lang

- Update to version 3.28.2:
+ Crash when meeting invitation iCalendar part could not be
parsed.
+ Skip empty street addresses in contacts.
+ Stale connection used after resume.
+ Bugs fixed: bgo#795076, bgo#795329, bgo#795414.
+ Updated translations.

==== ffmpeg ====
Subpackages: libavcodec57 libavdevice57 libavfilter6 libavformat57
libavresample3 libavutil55 libpostproc54 libswresample2 libswscale4

- Enable build against libzimg.
- Add 0001-opusenc-psy-disable-stereo-searches.patch
to fix a crash in the Opus encoder when outputting mono.
- Enable FFmpeg Opus encoder as a selectable runtime alternative
to Xiph libopus.
- Create a new package ffmpeg-private-devel which contains some
headers under /usr/include/ffmpeg/private that were not installed
by upstream. Those headers are needed by the libav package in order
to build avconv and other tools using the libav* libraries generated
by ffmpeg instead of its own. No other package should require
ffmpeg-private-devel.
- Build and install also the sidxindex tool
- Enable mpeg1video and mpeg2video in enable_decoders, and remove
it from disable-decoders call given to configure, mpeg2 now
available in openSUSE.
- enable video stabilization/deshaking via libvidstab (optional)
- Update to new bugfix release 3.4.2
* Fix integer overflows, multiplication overflows, undefined
shifts, and verify buffer lengths.
* avfilter/vf_transpose: Fix used plane count
[boo#1078488, CVE-2018-6392]
* avcodec/utvideodec: Fix bytes left check in decode_frame()
[boo#1079368, CVE-2018-6621]
- Enable use of libzvbi for displaying teletext subtitles.
- Fixed a DoS in swri_audio_convert(), added cve-2017-17555.diff
[boo#1072366, CVE-2017-17555].
- Update to new bugfix release 3.4.1
* Fixed integer overflows, division by zero, illegal bit shifts
* Fixed the gmc_mmx function which failed to validate width
and height [boo#1070762, CVE-2017-17081]
* Fixed out-of-bounds in VC-2 encoder [boo#1069407, CVE-2017-16840]
* ffplay: use SDL2 audio API
- Removed 0001-avcodec-x86-mpegvideodsp-Fix-signedness-bug-in-need_.patch
(upstreamed).
- Add 0001-avcodec-x86-mpegvideodsp-Fix-signedness-bug-in-need_.patch
[boo#1070762]
- install also doc/ffserver.conf
- Get rid of ffmpeg-pkgconfig-version.patch.
- Update to new upstream release 3.4
* New video filters: deflicker, doublewave, lumakey, pixscope,
oscilloscope, robterts, limiter, libvmaf, unpremultiply,
tlut2, floodifll, pseudocolor, despill, convolve, vmafmotion.
* New audio filters: afir, crossfeed, surround, headphone,
superequalizer, haas.
* Some video filters with several inputs now use a common set
of options: blend, libvmaf, lut3d, overlay, psnr, ssim. They
must always be used by name.
* librsvg support for svg rasterization
* spec-compliant VP9 muxing support in MP4
* Remove the libnut and libschroedinger muxer/demuxer wrappers
* drop deprecated qtkit input device (use avfoundation instead)
* SUP/PGS subtitle muxer
* VP9 tile threading support
* KMS screen grabber
* CUDA thumbnail filter
* V4L2 mem2mem HW assisted codecs
* Rockchip MPP hardware decoding
* (Not in openSUSE builds, only original ones:)
* Gremlin Digital Video demuxer and decoder
* Additional frame format support for Interplay MVE movies
* Dolby E decoder and SMPTE 337M demuxer
* raw G.726 muxer and demuxer, left- and right-justified
* NewTek NDI input/output device
* FITS demuxer, muxer, decoder and encoder
- Fixed a double free in huffyuv [boo#1064577, CVE-2017-15186]
- Fixed an out-of-bounds in ffv1dec [boo#1066428, CVE-2017-15672]
- Fixed a denial of service in rtmppkt [boo#1082335, CVE-2017-11665]
- Update to new upstream release 3.3.4.
* avutil/pixdesc: fixed NULL deref in av_color_primaries_name
[CVE-2017-14225] [boo#1058018]
* avformat/asfdec: Fix DoS in asf_build_simple_index
[CVE-2017-14223] [boo#1058019]
* avformat/mov: Fix DoS in read_tfra
[CVE-2017-14222] [boo#1058020].
- Dropped integrated patches:
D 0001-avformat-hls-Fix-DoS-due-to-infinite-loop.patch
D 0001-avformat-nsvdec-Fix-DoS-due-to-lack-of-eof-check-in-.patch
D 0002-avformat-asfdec-Fix-DoS-due-to-lack-of-eof-check.patch
D 0002-avformat-mxfdec-Fix-DoS-issues-in-mxf_read_index_ent.patch
D 0003-avformat-cinedec-Fix-DoS-due-to-lack-of-eof-check.patch
D 0003-avformat-mxfdec-Fix-Sign-error-in-mxf_read_primer_pa.patch
D 0004-avformat-rmdec-Fix-DoS-due-to-lack-of-eof-check.patch
D 0005-avformat-rl2-Fix-DoS-due-to-lack-of-eof-check.patch
D 0006-avformat-mvdec-Fix-DoS-due-to-lack-of-eof-check.patch
- Add 0001-avformat-nsvdec-Fix-DoS-due-to-lack-of-eof-check-in-.patch
[CVE-2017-14171] [boo#1057539],
0002-avformat-mxfdec-Fix-DoS-issues-in-mxf_read_index_ent.patch
[CVE-2017-14170] [boo#1057537],
0003-avformat-mxfdec-Fix-Sign-error-in-mxf_read_primer_pa.patch
[CVE-2017-14169] [boo#1057536]
- Add 0001-avformat-hls-Fix-DoS-due-to-infinite-loop.patch
[CVE-2017-14058] [boo#1056762],
0002-avformat-asfdec-Fix-DoS-due-to-lack-of-eof-check.patch
[CVE-2017-14057] [boo#1056761],
0003-avformat-cinedec-Fix-DoS-due-to-lack-of-eof-check.patch
[CVE-2017-14059] [boo#1056763],
0004-avformat-rmdec-Fix-DoS-due-to-lack-of-eof-check.patch
[CVE-2017-14054] [boo#1056765],
0005-avformat-rl2-Fix-DoS-due-to-lack-of-eof-check.patch
(code not enabled in openSUSE, though in packman)
[CVE-2017-14056] [boo#1056760],
0006-avformat-mvdec-Fix-DoS-due-to-lack-of-eof-check.patch
[CVE-2017-14055] [boo#1056766]
- Unconditionalize celt, ass, openjpeg, webp, netcdf, libva, vdpau.
- Build unconditionally with lame and twolame
- Update to maintenance release 3.3.3
* Various fixes for integer overflows, too-large bit shifts
and buffer length checks.
- Drop 0001-avcodec-apedec-Fix-integer-overflow.patch
(included upstream)
- Add 0001-avcodec-apedec-Fix-integer-overflow.patch
to address CVE-2017-11399 [boo#1049095]
- Enabled cuda and cuvid for unrestricted build.
- Fixed typos in devel package descriptions.
- Update to new upstream release 3.3.2
* Various fixes for integer overflows and too-large bit shifts
- Disable cuda support to fix boo#1041794:
ffmpeg 3.3. enablement of cuda prevents H264/avc1.4d400d videos
from playing on Youtube
- Refreshed patches: ffmpeg-codec-choice.diff
ffmpeg-libcdio_cdda-pkgconfig.patch
ffmpeg-pkgconfig-version.patch and ffmpeg-new-coder-errors.diff
- Add additional checks to ensure MPEG is off
- Update to new upstream release 3.3.1
* Fix uninitialized variables, signed integer overflow,
excess shift operations. Add boundary checks.
- Enable ac3 per request from idonmez
- Update to new upstream release 3.3
* EBU R128 implementation now within ffmpeg, not relying on
external library anymore
* New video filters "premultiply", "readeia608", "threshold",
"midequalizer"
* Support for spherical videos
* New decoders: 16.8 and 24.0 floating point PCM, XPM
* New demuxers: MIDI Sample Dump Standard, Sample Dump eXchange demuxer
* MJPEG encoding uses Optimal Huffman tables now
* Native Opus encoder
* Support .mov with multiple sample description tables
* Removed the legacy X11 screen grabber, use XCB instead
* Removed asyncts filter (use af_aresample instead)
* resolved CVE-2016-10190 [boo#1022920],
CVE-2016-10191 [boo#1022921], CVE-2016-10192 [boo#1022922],
CVE-2017-7859 [boo#1034183], CVE-2017-7862 [boo#1034181],
CVE-2017-7863 [boo#1034179], CVE-2017-7865 [boo#1034177],
CVE-2017-7866 [boo#1034176]
- Enable mp3 decoding
- Have libavcodec57 additionally provide libavcodec57(unrestricted)
when building unrestricted: allow third party packages to require
the unrestricted codec. The existing -full provides is not
suitable as it can be provided by multiple libavcodec* packages,
whereas we require a specific ABI version.
- Update to new upstream release 3.2.4
* lavf/mov.c: Avoid heap allocation wrap in mov_read_hdlr
* lavf/mov.c: Avoid OOB in mov_read_udta_string()
* lavf/mov.c: Avoid heap allocation wraps in mov_read_{senc,saiz}()
- Make sure each subpkg comes from the same src.rpm
- Update to new upstream release 3.2.3
* Maintenance release with bugfixes
* ffplay: fix sws_scale possible out of bounds array access
- Drop version number from patch: ffmpeg-2.4.5-arm6l.patch ->
ffmpeg-arm6l.diff
- Wrap netcdf support in build condtional because it is a drop-in pkg
- Enable all muxers and demuxers as they are just descriptor of format
thus do not change the behaviour in any relevant way.
* The best user now gets is proper interpretation of the format and
failure to play it without proper de/encoder
* Recommended by vlc team to be done this way :)
- Update to new upstream release 3.2.2
* avformat/rtmppkt: Check for packet size mismatches
* avcodec/flacdec: Fix undefined shift in decode_subframe()
* avcodec/flacdec: Fix signed integer overflow in
decode_subframe_fixed()
* avcodec/flacdsp_template: Fix undefined shift in
flac_decorrelate_indep_c
- Update to version 3.2.1:
* avcodec/aac_adtstoasc_bsf: validate and forward extradata
if the stream is already ASC
* libopusdec: default to stereo for invalid number of
channels
* sbgdec: prevent NULL pointer access
* rmdec: validate block alignment
* smacker: limit recursion depth of smacker_decode_bigtree
* mxfdec: fix NULL pointer dereference in mxf_read_packet_old
* ffmdec: validate codec parameters
* avformat/mpeg: Adjust vid probe threshold to correct
mis-detection
* avcodec/avpacket: fix leak on realloc in
av_packet_add_side_data()
* avformat/apngenc: use the stream parameters extradata if
available
* ffprobe: fix crash in case -of is specified with an empty
string
* exr: fix out-of-bounds read
* libschroedingerdec: fix leaking of framewithpts
* filmstripdec: correctly check image dimensions
* icodec: fix leaking pkt on error
* dvbsubdec: fix division by zero in compute_default_clut
* escape124: reject codebook size 0
* mpegts: prevent division by zero
* matroskadec: fix NULL pointer dereference in
webm_dash_manifest_read_header
* mxfdec: fix NULL pointer dereference
* avcodec/mpeg4videodec: Workaround interlaced mpeg4 edge MC
bug
* avcodec/mpegvideo: Fix edge emu buffer overlap with
interlaced mpeg4
* avcodec/ituh263dec: Avoid spending a long time in slice
sync
* avcodec: Check side data size before use
* avformat/flvdec: Fix regression losing streams
- Update to new upstream release 3.2
* SDL2 output device and ffplay support
* SDL1 output device and SDL1 support removed
* New: libopenmpt demuxer, fifo muxer, True Audio (TTA) muxer
* New filters: weave, gblur, avgblur, sobel, prewitt,
vaguedenoiser, yuvtestsrc, lut2, hysteresis, maskedclamp,
crystalizer, acrusher, bitplanenoise, sidedata, asidedata
* Non-Local Means (nlmeans) denoising filter
* 16-bit support in curves filter and selectivecolor filter
* Added threads option per filter instance
* The "curves" filter does not automatically insert points at x=0
and x=1 anymore
* Matroska muxer now writes CRC32 elements by default in all
Level 1 elements
* New "tee" protocol
* VP8 in Ogg muxing
* Floating point support in ALS decoder
* Extended mov edit list support
* Changed mapping of RTP MIME type G726 to codec g726le.
- Drop ffmpeg-fix-CONFIG_VC1DSP-changes.patch
(no longer needed)
- Enable libfdk_aac if it is available at buildtime
- Update to version 3.1.5
* avformat/mxfdec: Check size to avoid integer overflow in
mxf_read_utf16_string()
* avcodec/mpegvideo_enc: Clear mmx state in
ff_mpv_reallocate_putbitbuffer()
* avcodec/utils: Clear MMX state before returning from
avcodec_default_execute*()
* libopenjpegenc: fix out-of-bounds reads when filling the
edges
* libopenjpegenc: stop reusing image data buffer for
openjpeg 2
* avformat/utils: Update codec_id before using it in the
parser init
* ffmpeg: remove unused and errorneous AVFrame timestamp
check
* Support for MIPS cpu P6600
* avutil/mips/generic_macros_msa: rename macro variable
which causes segfault for mips r6
- Update to version 3.1.4
* avformat/avidec: Check nb_streams in read_gab2_sub()
* avformat/avidec: Remove ancient assert
* avfilter/vf_colorspace: fix range for output colorspace
option
* lavc/mediacodecdec_h264: fix SODB escaping
* avcodec/nvenc: fix const options for hevc gpu setting
* avformat/avidec: Fix memleak with dv in avi
* lavc/movtextdec.c: Avoid infinite loop on invalid data.
* avcodec/ansi: Check dimensions
* avcodec/cavsdsp: use av_clip_uint8() for idct
* avformat/movenc: Check packet in mov_write_single_packet()
too
* avformat/movenc: Factor check_pkt() out
* avformat/utils: fix timebase error in avformat_seek_file()
* avcodec/g726: Add missing ADDB output mask
* avcodec/avpacket: clear side_data_elems
* avformat/movenc: Check first DTS similar to dts difference
* avcodec/ccaption_dec: Use simple array instead of AVBuffer
* avcodec/svq3: Reintroduce slice_type
* avformat/mov: Fix potential integer overflow in
mov_read_keys
* swscale/swscale_unscaled: Try to fix
Rgb16ToPlanarRgb16Wrapper() with slices
* swscale/swscale_unscaled: Fix packed_16bpc_bswap() with
slices
* avformat/avidec: Fix infinite loop in avi_read_nikon()
* lavf/utils: Avoid an overflow for huge negative durations.
* avformat/hls: Fix handling of EXT-X-BYTERANGE streams over
2GB
* lavc/avpacket: Fix undefined behaviour, do not pass a null
pointer to memcpy().
* lavc/mjpegdec: Do not skip reading quantization tables.
* cmdutils: fix implicit declaration of SetDllDirectory
function
- Fix linking errors for arm and aarch64 builds, boo#995937
* Add ffmpeg-fix-CONFIG_VC1DSP-changes.patch
- Update to version 3.1.3
* examples/demuxing_decoding: convert to codecpar
* avcodec/exr: Check tile positions
* avcodec/aacenc: Tighter input checks
* avformat/wtvdec: Check pointer before use
* libavcodec/wmalosslessdec: Check the remaining bits
* avcodec/adpcm: Fix adpcm_ima_wav padding
* avcodec/svq3: fix slice size check
* avcodec/diracdec: Check numx/y
* avcodec/h2645_parse: fix nal size
* avcodec/h2645_parse: Use get_nalsize() in
ff_h2645_packet_split()
* h2645_parse: only read avc length code at the correct
position
* h2645_parse: don't overread AnnexB NALs within an avc
stream
* avcodec/h264_parser: Factor get_avc_nalsize() out
* avcodec/cfhd: Increase minimum band dimension to 3
* avcodec/indeo2: check ctab
* avformat/swfdec: Fix inflate() error code check
* avcodec/rawdec: Fix bits_per_coded_sample checks
* vcodec/h2645_parse: Clear buffer padding
* avcodec/h2645: Fix NAL unit padding
* avfilter/drawutils: Fix single plane with alpha
* cmdutils: check for SetDllDirectory() availability
- Update to version 3.1.2:
* avcodec/rawdec: Fix palette handling with changing
palettes
* avcodec/raw: Fix decoding of ilacetest.mov
* avformat/mov: Enable mp3 parsing if a packet needs it
* avformat/hls: Sync starting segment across variants on
live streams
* avformat/hls: Fix regression with ranged media segments
* avcodec/ffv1enc: Fix assertion failure with non zero
bits per sample
* avfilter/af_hdcd: small fix in af_hdcd.c where gain was
not being adjusted for "attenuate slowly"
* avformat/oggdec: Fix integer overflow with invalid pts
* libavcodec/dnxhd: Enable 12-bit DNxHR support.
* lavc/vaapi_encode_h26x: Fix a crash if "." is not the
decimal separator.
* avcodec/vp9_parser: Check the input frame sizes for
being consistent
* avformat/flvdec: parse keyframe before a/v stream was
created add_keyframes_index() when stream created or
keyframe parsed
* libavformat/rtpdec_asf: zero initialize the AVIOContext
struct
* libx264: Increase x264 opts character limit to 4096
* avcodec/h264_parser: Set sps/pps_ref
* librtmp: Avoid an infinite loop setting connection
arguments
* avformat/oggparsevp8: fix pts calculation on pages
ending with an invisible frame
* lavf/vplayerdec: Improve auto-detection.
* lavc/mediacodecdec_h264: properly convert extradata to
annex-b
- Build with netcdf so as to enable af_sofalizer [boo#983398]
- Update to version 3.1.1
* doc/APIchanges: document the lavu/lavf field moves
* avformat/avformat: Move new field to the end of AVStream
* avformat/utils: update deprecated AVStream->codec when the context is
updated
* avutil/frame: Move new field to the end of AVFrame
* libavcodec/exr : fix decoding piz float file.
* avformat/mov: Check sample size
* lavfi: Move new field to the end of AVFilterContext
* lavfi: Move new field to the end of AVFilterLink
* ffplay: Fix usage of private lavfi API
* lavc/mediacodecdec_h264: add missing NAL headers to SPS/PPS buffers
* lavc/pnm_parser: disable parsing for text based PNMs
- Update to version 3.1
* DXVA2-accelerated HEVC Main10 decoding
* fieldhint filter
* loop video filter and aloop audio filter
* Bob Weaver deinterlacing filter
* firequalizer filter
* datascope filter
* bench and abench filters
* ciescope filter
* protocol blacklisting API
* MediaCodec H264 decoding
* VC-2 HQ RTP payload format (draft v1) depacketizer and
packetizer
* VP9 RTP payload format (draft v2) packetizer
* AudioToolbox audio decoders
* AudioToolbox audio encoders
* coreimage filter (GPU based image filtering on OSX)
* libdcadec removed
* bitstream filter for extracting DTS core
* ADPCM IMA DAT4 decoder
* musx demuxer
* aix demuxer
* remap filter
* hash and framehash muxers
* colorspace filter
* hdcd filter
* readvitc filter
* VAAPI-accelerated format conversion and scaling
* libnpp/CUDA-accelerated format conversion and scaling
* Duck TrueMotion 2.0 Real Time decoder
* Wideband Single-bit Data (WSD) demuxer
* VAAPI-accelerated H.264/HEVC/MJPEG encoding
* DTS Express (LBR) decoder
* Generic OpenMAX IL encoder with support for Raspberry Pi
* IFF ANIM demuxer & decoder
* Direct Stream Transfer (DST) decoder
* loudnorm filter
* MTAF demuxer and decoder
* MagicYUV decoder
* OpenExr improvements (tile data and B44/B44A support)
* BitJazz SheerVideo decoder
* CUDA CUVID H264/HEVC decoder
* 10-bit depth support in native utvideo decoder
* libutvideo wrapper removed
* YUY2 Lossless Codec decoder
- Added minimum requirement for libva (0.35.0, matched by
1.3.0 package)
- Guard usage of opencore using bcond_with, boo#980542
- Update to version 3.0.2
* avcodec/ttaenc: Reallocate packet if its too small
* configure: build fix for P5600 with mips code restructuring
* mips: add support for R6
* pgssubdec: fix subpicture output colorspace and range
* avcodec/ac3dec: Reset SPX when switching from EAC3 to AC3
* avfilter/vf_drawtext: Check return code of load_glyph()
* avformat/mux: Check that deinit is set before calling it
* avcodec/takdec: add code that got somehow lost in process of
REing
* avcodec/apedec: fix decoding of stereo files with one
channel full of silence
* avcodec/avpacket: Fix off by 5 error
* avcodec/h264: Fix for H.264 configuration parsing
* avcodec/bmp_parser: Ensure remaining_size is not too small
in startcode packet crossing corner case
* avcodec/pngdec: Fix alpha detection with skip_frame
* Changelog: Make formating consistent
* avfilter/src_movie: fix how we check for overflows with
seek_point
* avcodec/j2kenc: Add attribution to OpenJPEG project:
- Dropped dcadec (libdca was merged upstream)
- Add ffmpeg-codec-choice.diff
- Remove ffmpeg-devel subpackage.
All users have been converted to pkgconfig
Add Provides/Obsoletes to libavdevice-devel
- Add ffmpeg-new-coder-errors.diff
- Another try at organizing the codec-enable list.
Enable video: AYUV, Dirac, MJPEG, rawvideo, Theora, VP8, VP9, WebP,
zlib
Enable audio: Celt, GSM, Opus, Speex, Vorbis
Enable subtitle: ASS/SSA text, SRT text, UTF-8 plaintext
- Update to new maintenance release 3.0.1
* vc2enc: fix use of uninitialized variables in the rate control
system
* postproc: fix an unaligned access
* lavc/hevc: Allow arbitrary garbage in bytestream as long as at
least one NAL unit is found.
- Update included pkgconfig files to require the exact version
of ffmpeg pc files, instead of any later version
ffmpeg-pkgconfig-version.patch
- Remove the optional vo-aacenc dependency, upstream removed it.
- Update to new upstream release 3.0
* New filters: extrastereo, ocr, alimiter, stereowiden, stereotools,
rubberband, tremolo, agate, chromakey, displace, and many more.
* ffplay dynamic volume control
* audio high-order multiband parametric equalizer
* automatic bitstream filtering
- Update to version 2.8.6
* avcodec/jpeg2000dec: More completely check cdef
* avutil/opt: check for and handle errors in av_opt_set_dict2()
* avcodec/flacenc: fix calculation of bits required in case
of custom sample rate
* avformat: Document urls a bit
* avformat/libquvi: Set default demuxer and protocol
limitations
* avformat/concat: Check protocol prefix
* doc/demuxers: Document enable_drefs and use_absolute_path
* avcodec/mjpegdec: Check for end for both bytes in unescaping
* avcodec/mpegvideo_enc: Check for integer overflow in
ff_mpv_reallocate_putbitbuffer()
* avformat/avformat: Replace some references to filenames by
urls
* avcodec/wmaenc: Check ff_wma_init() for failure
* avcodec/mpeg12enc: Move high resolution thread check to
before initializing threads
* avformat/img2dec: Use AVOpenCallback
* avformat/avio: Limit url option parsing to the documented
cases
* avformat/img2dec: do not interpret the filename by default
if a IO context has been opened
* avcodec/ass_split: Fix null pointer dereference in
ff_ass_style_get()
* mov: Add an option to toggle dref opening
* avcodec/gif: Fix lzw buffer size
* avcodec/put_bits: Assert buf_ptr in flush_put_bits()
* avcodec/tiff: Check subsample & rps values more completely
* swscale/swscale: Add some sanity checks for srcSlice*
parameters
* swscale/x86/rgb2rgb_template: Fix planar2x() for short
width
* swscale/swscale_unscaled: Fix odd height inputs for
bayer_to_yv12_wrapper()
* swscale/swscale_unscaled: Fix odd height inputs for
bayer_to_rgb24_wrapper()
* avcodec/aacenc: Check both channels for finiteness
* asfdec_o: check for too small size in asf_read_unknown
* asfdec_o: break if EOF is reached after
asf_read_packet_header
* asfdec_o: make sure packet_size is non-zero before seeking
* asfdec_o: prevent overflow causing seekback
* asfdec_o: check avio_skip in asf_read_simple_index
* asfdec_o: reject size > INT64_MAX in asf_read_unknown
* asfdec_o: only set asf_pkt->data_size after sanity checks
* Merge commit '8375dc1dd101d51baa430f34c0bcadfa37873896'
* dca: fix misaligned access in avpriv_dca_convert_bitstream
* brstm: fix missing closing brace
* brstm: also allocate b->table in read_packet
* brstm: make sure an ADPC chunk was read for adpcm_thp
* vorbisdec: reject rangebits 0 with non-0 partitions
* vorbisdec: reject channel mapping with less than two
channels
* ffmdec: reset packet_end in case of failure
* avformat/ipmovie: put video decoding_map_size into packet
and use it in decoder
* avformat/brstm: fix overflow
- Update to version 2.8.5
* Fixes CVE-2016-1897 and CVE-2016-1898 [boo#961937]
- Update to version 2.8.4
* Many bugfixes, see the included Changelog for all the changes.
* resolving CVE-2015-8661 [boo#960385], CVE-2015-8662 [boo#960384],
CVE-2015-8663 [boo#960383]
- Drop ffmpeg-remove_some_unused_ctrl_id_mappings.patch, fixed
upstream.
- Obsolete ffmpeg-tools from packman
- Add some provides to make it easier for firefox to recommend
this package for installation
- Added patch ffmpeg-remove_some_unused_ctrl_id_mappings.patch to
successfully build against libvpx >= 1.5 (at least on PMBS).
- Add buildconditionals for libass,libva,vdpau to fix build in SLE_11
- Rename bcond dca to dcadec
- Add more buildconditionals to get closer to removal of BUILD_ORIG
- Remove unused imlib2
- Sync with packman changes
* All packman specific changes are protected with BUILD_ORIG
- Added the following patches
* ffmpeg-2.4.5-arm6l.patch
* ffmpeg-libcdio_cdda-pkgconfig.patch
- Update to new upstream maintenance release 2.8.3
* avformat/matroskadec: Check subtitle stream before dereferencing
* avcodec/jpeg2000dec: Fix potential integer overflow with tile
dimensions
* avcodec/jpeg2000dec: Check for duplicate SIZ marker
* avcodec/jpeg2000: Change coord to 32bit to support larger than
32k width or height
* avcodec/jpeg2000dec: Check SIZ dimensions to be within the
supported range
* avcodec/jpeg2000: Check comp coords to be within the supported
size
* dds: validate compressed source buffer size
* dds: validate source buffer size before copying
* softfloat: assert when the argument of av_sqrt_sf is negative
- Fixes CVE-2015-8363 [bnc#957114], CVE-2015-8364 [bnc#957115],
CVE-2015-8365 [bnc#957116]
- Update to new upstream release 2.8.2, containing fixes for the
following security issues:
* CVE-2015-8216 boo#955346
* CVE-2015-8217 boo#955347
* CVE-2015-8218 boo#955348
* CVE-2015-8219 boo#955350
- Upstream changes:
* various fixes in the aac_fixed decoder
* various fixes in softfloat
* swresample/resample: increase precision for compensation
* lavf/mov: add support for sidx fragment indexes
* avformat/mxfenc: Only store user comment related tags when needed
* ffmpeg: Don't try and write sdp info if none of the outputs had an rtp
format.
* apng: use correct size for output buffer
* jvdec: avoid unsigned overflow in comparison
* avcodec/jpeg2000dec: Clip all tile coordinates
* avcodec/microdvddec: Check for string end in 'P' case
* avcodec/dirac_parser: Fix undefined memcpy() use
* avformat/xmv: Discard remainder of packet on error
* avformat/xmv: factor return check out of if/else
* avcodec/mpeg12dec: Do not call show_bits() with invalid bits
* avcodec/faxcompr: Add missing runs check in decode_uncompressed()
* libavutil/channel_layout: Check strtol*() for failure
* avformat/mpegts: Only start probing data streams within probe_packets
* avcodec/hevc_ps: Check chroma_format_idc
* avcodec/ffv1dec: Check for 0 quant tables
* avcodec/mjpegdec: Reinitialize IDCT on BPP changes
* avcodec/mjpegdec: Check index in ljpeg_decode_yuv_scan() before using it
* avcodec/h264_slice: Disable slice threads if there are multiple access
units in a packet
* avformat/hls: update cookies on setcookie response
* opusdec: Don't run vector_fmul_scalar on zero length arrays
* avcodec/opusdec: Fix extra samples read index
* avcodec/ffv1: Initialize vlc_state on allocation
* avcodec/ffv1dec: update progress in case of broken pointer chains
* avcodec/ffv1dec: Clear slice coordinates if they are invalid or slice
header decoding fails for other reasons
* rtsp: Allow $ as interleaved packet indicator before a complete response
header
* videodsp: don't overread edges in vfix3 emu_edge.
* avformat/mp3dec: improve junk skipping heuristic
* concatdec: fix file_start_time calculation regression
* avcodec: loongson optimize h264dsp idct and loop filter with mmi
* avcodec/jpeg2000dec: Clear properties in jpeg2000_dec_cleanup() too
* avformat/hls: add support for EXT-X-MAP
* avformat/hls: fix segment selection regression on track changes of live
streams
* configure: Require libkvazaar < 0.7.
* avcodec/vp8: Do not use num_coeff_partitions in thread/buffer setup
- Drop ffmpeg-mov-sidx-fragment.patch, fixed upstream.
- Update to new upstream release 2.8.1
* Minor bugfix release
* Includes all changes from. Ffmpeg-mt,
libav master of 2015-08-28, libav 11 as of 2015-08-28
- Add ffmpeg-mov-sidx-fragment.patch to add sidx fragment indexes.
Needed for new mpv release.
- Update to new upstream release 2.8
* DirectDraw Surface image/texture decoder
* Many improvements to the JPEG 2000 decoder
* New video filters: colorkey, SSIM, showvolume, adrawgraph,
drawgraph, removegrain, erosion, dilation, deflate, inflate,
reverse, atadenoise, aphasemeter, showfreqs, vectorscope,
waveform, hstack, vstack, framerate
* New audio filters: Dynamic Audio Normalizer as dynaudnorm
filter, areverse, random, deband, sidechaincompress,
acrossfade
* allyuv and allrgb video sources
* Switched default encoders for webm to VP9 and Opus
* Removed experimental flag from the JPEG 2000 encoder
- Update to new upstream release 2.7.2
- webp: fix infinite loop in webp_decode_frame
- huffyuvdec: validate image size
- avcodec/vp8: Check buffer size in vp8_decode_frame_header()
- avcodec/vp8: Fix null pointer dereference in ff_vp8_decode_free()
- avutil/fifo: Fix the case where func() returns less bytes than
requested in av_fifo_generic_write()
- bytestream2: set the reader to the end when reading more than
available
- oggparsedirac: check return value of init_get_bits
- vp9/update_prob: prevent out of bounds table read
- avcodec/pngdec: Check values before updating context in
decode_fctl_chunk()
- avcodec/pngdec: Copy IHDR & plte state from last thread
- avcodec/pngdec: Require a IHDR chunk before fctl
- avcodec/pngdec: Only allow one IHDR chunk
- ffmpeg: Do not use the data/size of a bitstream filter
after failure
- Enable codecs for audio: PCM, Speex, CELT, FLAC, ILBC, Opus
- Enable codecs for image: BMP/PCX/TGA, TIFF, Sun/SGI/X11 raster
raw Huff-compressed or uncompressed YUV
- Update to new upstream release 2.7.1
* postproc: fix unaligned access
* avcodec/flacenc: Fix Invalid Rice order
* tls_gnutls: fix hang on disconnection
* avcodec/ffv1enc: fix bps for >8bit yuv when not explicitly set
* avio: fix potential crashes when combining ffio_ensure_seekback + crc
* ffmpeg_opt: Check for localtime() failure
* configure: Disable VSX on unspecified / generic CPUs
- Enabled 'bluray' protocol
- Update to new upstream release 2.7
* New encoders: apng (PNG with alpha)
* New decoders: TDSC (a JPEG/BGR24/zlib format)
* New audio filters: chorus
* New video filters: cover_rect, detelecine, fftfilt, find_rect
- Enable codecs: 012v, ansi, apng, bmp, exr, ffv1, ffvhuff
* unpack DivX-style packed B-frames in MPEG-4 bitstream filter
* WebM Live Chunk Muxer
* nvenc level and tier options
- Canopus HQ/HQA decoder
- Automatically rotate videos based on metadata in ffmpeg
- improved Quickdraw compatibility
- VP9 high bit-depth and extended colorspaces decoding support
- WebPAnimEncoder API when available for encoding and muxing WebP
- Direct3D11-accelerated decoding
- Support Secure Transport
- Multipart JPEG demuxer
- Fix building with BUILD_ORIG
- Update to new upstream release 2.6.3
* avcodec/libtheoraenc: Check for av_malloc failure
* ffmpeg_opt: Fix -timestamp parsing
* avcodec/cavsdec: Use ff_set_dimensions()
* swr: fix alignment issue caused by 8ch sse functions
* avcodec/mjpegdec: fix len computation in ff_mjpeg_decode_dqt()
* avformat/matroskadec: Cleanup error handling for bz2 & zlib
* avformat/matroskaenc: Check ff_vorbiscomment_length in
put_flac_codecpriv()
* avcodec/mpeg12dec: use the correct dimensions for checking SAR
* xcbgrab: Validate the capture area
* xcbgrab: Do not assume the non shm image data is always available
* avfilter/lavfutils: disable frame threads when decoding a single
image
* ffmpeg: remove incorrect network deinit
* OpenCL: Avoid potential buffer overflow in cmdutils_opencl.c
* libvpxenc: only set noise reduction w/vp8
* vp9: remove another optimization branch in iadst16 which causes
overflows.
* network: Do not leave context locked on error
* vp9: remove one optimization branch in iadst16 which causes
overflows.
* swresample: Allow reinitialization without ever setting channel
layouts/counts
* imgutils: initialize palette padding bytes in av_image_alloc
* id3v2: catch avio_read errors in check_tag
* avi: Validate sample_size
* diracdec: avoid overflow of bytes*8 in decode_lowdelay
* diracdec: prevent overflow in data_unit_size check
* matroskadec: use uint64_t instead of int for index_scale
* pngdec: don't use AV_PIX_FMT_MONOBLACK for apng
* pngdec: return correct error code from decode_frame_common
* swscale/ppc/swscale_altivec.c: POWER LE support in yuv2planeX_8()
delete macro GET_VF() it was wrong
* matroskadec: export cover art correctly
* mxfenc: don't try to write footer without header
- Enable building avresample for extra API compat
- Remove ffmpeg-pkgconfig-requires.diff: RPM's pkgconfigdeps.sh is
scanning Requires.private too.
- Add baselibs.conf: provide -32bit libraries (used by xine-32bit).
- Update to new upstream release 2.6.2
* avformat/utils: avoid discarded streams in
av_find_default_stream_index()
* avutil/cpu: add missing check for mmxext to av_force_cpu_flags
* avformat/http: replace cookies with updated values instead of
appending forever
- Update to new upstream release 2.6.1
* Maintenance release with some bugfixes
- Update to new upstream release 2.6
* The VP9 decoder is now usable on x86(-32) and pre-SSSE3 CPUs.
* 10-bit support in the SPP video filter
* New video filters: "colorlevels", "tblend", "palettegen",
"paletteuse". New audio filters: "dcshift".
* The old libmpcodecs wrapper is finally gone
* API changes: introduction of device inputs and outputs
- Update to new upstream release 2.5.3
* AVFoundation screen-grabbing support, animated WebP decoding
support, and Animated PNG support. UDP-Lite support was added.
- Initial package (version 2.5.3) for build.opensuse.org

==== flatpak-builder ====
Version update (0.10.9 -> 0.10.10)

- Update to version 0.10.10:
+ We now support yaml manifest as well as json.
+ New source type "svn" to download subversion checkouts.
+ New source type "dir" for local directories.
+ Set FLATPAK_BUILDER_N_JOBS in environment during build.
+ If not using ccache, enforce it of. This helps builds with
meson as they pick up ccache by default, which makes no
sense when there is no persistent storage for ccache to use.
+ New options prepend--path similar to the existing append--path
ones, but prepending instead.
+ New argument --no-shallow-clone which disables any shallow
clone optimizations.
+ New inherit-sdk-extensions property similar to
inherit-extensions, but is not inherited in the platform.
+ We now ignore json keys starting with "//" and "__" allowing
these to be used for comments.
+ Fixed a bug that caused --install to not work properly.
+ New argument --extension-tag for using the new tagged extension
feature.
+ The build metadata now records which extensions were produced
as part of a build.
+ New property add-build-extensions allows creating exension
points that can be used during the build.
+ flatpak-builder --run now also binds /run/build-runtime to the
builds, allowing it to work when building runtimes.

==== gdm ====
Subpackages: gdm-lang gdmflexiserver libgdm1 typelib-1_0-Gdm-1_0

- Drop gdm-quit-plymouth-on-headless.patch: Patch is known to cause
the first login to fail, a reworked patch needed.

==== geoclue2 ====
Version update (2.4.8 -> 2.4.10)
Subpackages: system-user-srvGeoClue typelib-1_0-Geoclue-2_0

- Update to version 2.4.10:
+ Fix issues introduced by last release 2.4.9:
- A crash on startup.
- Revert the new desktop ID detection code as that turned out
to not work for non-root user that geoclue is supposed to be
run as.
+ Use systemd's service file to lockdown the geoclue daemon to
stop eventual security problems.
- Update to version 2.4.9:
+ Modem GPS refresh rate is now based on the location refresh
rate of apps.
+ Refuse location access if no app-auth agent is registered. This
fixes a security hole where an app requests location access
before the agent gets to register itself and we end up giving
out location access even though user has disabled it.
+ Port desktop ID detection to Flatpak >= 0.6.10.
+ The default timeout on the service binary is now the same as
the service itself: 5 seconds.
+ Demo applications:
- where-am-i now allows setting location refresh-rate.
- Only install demo agent's desktop file if it's enabled.
- Build and install demo agent unless disabled explicitly.
- Autostart the demo agent by default on non-GNOME platforms,
since an agent is required now and no one other than GNOME
yet provides one.
- Add pkgconfig(libnotify) BuildRequires: New dependency.

==== gimp ====
Version update (2.8.22 -> 2.10.0)
Subpackages: gimp-lang gimp-plugins-python libgimp-2_0-0 libgimpui-2_0-0

- Add gimp-Fix-reference-to-gegl-0.3.patch: gimp.pc: Fix reference
to gegl-0.3 - we require and build for gegl-0.4 now.
- Update BuildRequires versions to be consistent with configure
script.
- libbabl is required in version 0.1.46+
- add BR for gdk-pixbuf-loader-rsvg to enable svg icons
- enable jpeg2000 support: new BR pkgconfig(libopenjp2)
- enable webp support: new BR pkgconfig(libwebp) >= 0.6.0
- enable OpenEXR support: new BR pkgconfig(OpenEXR)
- enable email support: new BR/R for xdg-utils for xdg-email
- set LC_ALL/LANG in %prep and %build to silence warnings about
encoding of the translations
- make sure we can see the compiler cmdlines by disabling the
silent rules
- Update to version 2.10.0:
+ Image processing nearly fully ported to GEGL, allowing high bit
depth processing, multi-threaded and hardware accelerated pixel
processing, and more.
+ Color management is a core feature now, most widgets and
preview areas are color-managed.
+ Many improved tools, and several new and exciting tools, such
as the Warp transform, the Unified transform and the Handle
transform tools.
+ On-canvas preview for all filters ported to GEGL.
+ Improved digital painting with canvas rotation and flipping,
symmetry painting, MyPaint brush support.
+ Support for several new image formats added (OpenEXR, RGBE,
WebP, HGT), as well as improved support for many existing
formats (in particular more robust PSD importing).
+ Metadata viewing and editing for Exif, XMP, IPTC, and DICOM.
+ Basic HiDPI support: automatic or user-selected icon size.
+ New themes for GIMP (Light, Gray, Dark, and System) and new
symbolic icons meant to somewhat dim the environment and shift
the focus towards content (former theme and color icons are
still available in Preferences).
+ And more, better, more, and even more awesome!
- Drop gimp-gegl03-buildfix.patch: Fixed upstream, following this
drop libtool BuildRequires and no longer pass autoreconf.
- Replace pkgconfig(gegl-0.3) with gegl-0.4) BuildRequires.
- Add gcc-c++, gegl, glib-networking, pkgconfig(gexiv2),
pkgconfig(liblzma), pkgconfig(libmypaint),
pkgconfig(mypaint-brushes-1.0) and pkgconfig(poppler-data)
BuildRequires: New dependencies.

==== gjs ====
Version update (1.52.2 -> 1.52.3)
Subpackages: libgjs0 typelib-1_0-GjsPrivate-1_0

- Update to version 1.52.3:
+ Include calc.js example from Seed (glgo#gnome/gjs#130).
+ CI: Un-pin the Fedora Docker image (glgo#gnome/gjs#141,
(glgo#gnome/gjs#131).
+ Reduce overhead of wrapped objects (glgo#gnome/gjs#142,
(glgo#gnome/gjs#121).
+ Various CI changes (glgo#gnome/gjs#134, (glgo#gnome/gjs#136).
- Add gjs-Add-API-to-force-GC-schedule.patch: context: Add API to
force GC schedule. There are situations where we cannot run the
GC right away, but we also cannot ignore the need of running it.
For those cases, add a new private function that forces GC to
happen on idle (glgo"GNOME/gjs#140).
- Add gjs-Queue-forced-GC.patch: object: Queue a forced GC when
toggling down. Since we cannot know how many more wrapped
GObjects are going be marked for garbage collection after the
owner is destroyed, always queue a garbage collection when a
toggle reference goes down (glgo"GNOME/gjs#140).

==== glabels ====
Version update (3.4.0 -> 3.4.1)
Subpackages: glabels-lang

- Update to version 3.4.1:
+ Fixed crash when providing invalid file on command line.
+ Fixed crash of glabels-batch due to missing function prototype.
+ Added "Language" headers to po files.
+ Fixed wrapping issue with text objects when auto_shrink is
enabled.
+ Fixed out-of-bounds read in text_nodes.
+ Fixed crash when searching select product combo boxes.
+ Fixed portability issue to signedness of char type.
+ New templates.
+ Updated translations.
- Drop glabels-missing-function-prototype.patch: Fixed upstream.

==== glib2-branding-openSUSE ====

- Update .gschema.override.in: referring the implementation of
bsc#1077332, fully enable gnome-software notification which is
now used on both leap15 and sle15 to replace the legacy g-s-d
notification method (boo#1090042).

==== gnome-characters ====
Version update (3.28.0 -> 3.28.2)
Subpackages: gnome-characters-lang gnome-shell-search-provider-gnome-characters

- Update to version 3.28.2:
+ libgc: Fix crasher with some GCC configurations.
+ Updated translations.
- Switch to meson builds system: Add meson and new dependency
libunistring-devel BuildRequires.

==== gnome-contacts ====
Version update (3.28.1 -> 3.28.2)
Subpackages: gnome-contacts-lang gnome-shell-search-provider-contacts

- Update to version 3.28.2:
+ Updated translations.

==== gnome-control-center ====
Subpackages: gnome-control-center-color gnome-control-center-goa
gnome-control-center-lang gnome-control-center-user-faces

- Drop gnome-control-center-890979-change-remote-passwd.patch:
Remote password could be changed without this patch.
- Enable gnome-control-center-info-never-use-gnome-software.patch,
gnome-control-center-more-power-button-actions.patch and
gnome-control-center-bring-back-firewall-zone.patch in Leap15
(bsc#1091305).

==== gnome-desktop ====
Subpackages: gnome-desktop-lang gnome-version libgnome-desktop-3-17
libgnome-desktop-3_0-common typelib-1_0-GnomeDesktop-3_0

- Add gnome-desktop-plug-memory-leak.patch: bg-slide-show: Plug a
memory leak (bgo#793878).

==== gnome-disk-utility ====
Version update (3.28.1 -> 3.28.2)
Subpackages: gnome-disk-utility-lang

- Update to version 3.28.2:
+ Register inhibitor for benchmark thread (no string change).
+ Updated translations.

==== gnome-keyring ====
Version update (3.28.0.2 -> 3.28.2)
Subpackages: gnome-keyring-32bit gnome-keyring-lang gnome-keyring-pam
gnome-keyring-pam-32bit libgck-modules-gnome-keyring

- Update to version 3.28.2:
+ Fix glitches in ssh-agent (bgo#795699).
+ Updated translations.

==== gnome-logs ====
Version update (3.28.0 -> 3.28.2)
Subpackages: gnome-logs-lang

- Update to version 3.28.2:
+ Various memory leak fixes.
+ Updated translations.

==== gnome-maps ====
Version update (3.28.1 -> 3.28.2)
Subpackages: gnome-maps-lang

- Update to version 3.28.2:
+ Enable selecting map markers on touch screens.
+ Updated translations.

==== gnome-music ====
Version update (3.28.1 -> 3.28.2.1)
Subpackages: gnome-music-lang

- Update to version 3.28.2.1:
+ baseview: Do not reset init state.
- Changes from version 3.28.2:
+ Fix notification calls on startup.
+ artistalbumswidget: Wait for last album to load
(glgo#GNOME/gnome-music#174).
+ grilo: Fix audio check.
+ Updated translations.
- Drop update-desktop-files BuildRequires and suse_update_desktop_\
file: they are no longer required.

==== gnome-photos ====
Subpackages: gnome-photos-lang gnome-shell-search-provider-gnome-photos

- Add gnome-photos-Bump-minimum-GEGL-version.patch: build: Bump
minimum GEGL version to 0.4.0.
- Following the above, replace pkgconfig(gegl-0.3) with
pkgconfig(gegl-0.4) and add libtool BuildRequires aswell as
passing autoreconf since the patch touches the buildsystem.
- Add gnome-photos-export-unbreak-empty-trash-button.patch:
export-notification: Unbreak the "Empty Trash" button.

==== gnome-settings-daemon ====
Version update (3.28.0 -> 3.28.1)
Subpackages: gnome-settings-daemon-lang

- Update to version 3.28.1:
+ Datetime: Debugging improvements.
+ Media-keys: Wait forever for GrabAccelerators() to succeed.
+ Updated translations.
- Add LGPL-2.1-only to the License tag to comply with due
copyrights as part of media-keys plugin uses it.
- Drop:
+ gnome-settings-daemon-timeout-grabbing-keys.patch: fixed
upstream.
+ update-desktop-files BuildRequires: this is no longer used.

==== gnome-software ====
Version update (3.28.1 -> 3.28.2)
Subpackages: gnome-software-lang

- Update to version 3.28.2:
+ Add a warning when enabling the LVFS remote.
+ Show a notification when failing to open an url or a local
file.
+ Fix multiple flatpak refreshes with new libflatpak.
+ Build fixes for FreeBSD.
+ Icon loading fixes for snap.
+ Updated translations.

==== gnome-user-docs ====
Version update (3.28.1 -> 3.28.2)
Subpackages: gnome-user-docs-lang

- Update to version 3.28.2:
+ Updates to GNOME Help.
+ Updated translations.
- Add yelp Requires, the application used to browse the GNOME User
documentation.

==== goffice ====
Version update (0.10.39 -> 0.10.41)
Subpackages: goffice-lang libgoffice-0_10-10

- Update to version 0.10.41:
+ Avoid excess precision of graph ticks.
- Update to version 0.10.40:
+ Introspection fixes (bgo#793684).
+ Fixes required for running with musl (bgo#794115).
+ Store last-known modtime for GODoc.
+ Option menus: handle markup for labels.
+ Improve font selector sizing a bit.

==== gpg2 ====
Version update (2.2.6 -> 2.2.7)
Subpackages: gpg2-lang

- GnuPG 2.2.7:
* gpg: New option --no-symkey-cache to disable the passphrase
cache for symmetrical en- and decryption.
* gpg: The ERRSIG status now prints the fingerprint if that is
part of the signature
* gpg: Relax emitting of FAILURE status lines
* gpg: Add a status flag to "sig" lines printed with --list-sigs
* gpg: Fix "Too many open files" when using --multifile
* ssh: Return an error for unknown ssh-agent flags
* dirmngr: Fix a CNAME problem with pools and TLS. Also use a
fixed mapping of keys.gnupg.net to sks-keyservers.net
* dirmngr: Try resurrecting dead hosts earlier (from 3h to 1.5h)
* dirmngr: Fallback to CRL if no default OCSP responder is
configured
* dirmngr: Implement CRL fetching via https. Here a redirection
to http is explictly allowed
* agent,dirmngr: New sub-command "getenv" for "getinfo" to ease
debugging

==== gstreamer-plugins-libav ====

- Add gst-libav-port-ffmpeg4.patch: Port to ffmpeg 4.0. No longer
use explicit ffmpeg3 versions (bgo#792900).
- Use ffmpeg3 versions of pkgconfig(libav*)

==== gvfs ====
Version update (1.36.1 -> 1.36.2)
Subpackages: gvfs-backend-afc gvfs-backend-samba gvfs-backends gvfs-fuse
gvfs-lang

- Update to version 1.36.2:
+ udisks2: Remove optical disc volumes/mounts if drive
disappears.
+ daemon: Prevent deadlock and invalid read when closing
channels.
+ metadata: Prevent usage of NULL if GUdevDevice is not found.
+ Updated translations.

==== hack-fonts ====
Version update (2.020 -> 3.003)

- Release 3.003; Major changes:
* New license:
+ Eliminated Hack Open Font License
+ Added MIT License for Hack work
+ These license changes eliminated the Reserved Font Name "Hack"
in the typeface license
+ No changes to co-licensure with the Bitstream Vera license
from upstream source
* Only provide ttf
* For details, see
https://github.com/source-foundry/Hack/blob/master/CHANGELOG.md
- Update LICENSE.md and README.md to the versions from master
- Removed service file, seems unnecessary

==== installation-images-Kubic ====
Version update (14.370 -> 14.371)

- merge gh#openSUSE/installation-images#247
- adjusted libopenssl*_*-hmac dependency to match current versions
(bsc#1090360)
- 14.371

==== intel-vaapi-driver ====
Version update (2.0.0 -> 2.1.0)

- Update to version 2.1.0:
* Add support for CannonLake (aka. CNL):
- Decoding: H.264/MPEG-2/VC-1/JPEG/VP8/HEVC/HEVC 10-bit/VP9/VP9
10-bit
- Encoding: H.264/MPEG-2/JPEG/VP8/VP9
- VPP: CSC/scaling/NoiseReduction/Deinterlacing{Bob,
MotionAdaptive, MotionCompensated}/ColorBalance/STD
* Add support for VC1 interlaced video decoding
* Add support for Stats/PreEnc on GEN9
* Add support for vaExportSurfaceHandle()
* Add new PCI IDs for CFL
* Add minimum resolution query for encoder
* Enhance the logging to provide informational messages
* Fix VP9 brc issue on KBL

==== iproute2 ====

- utils-Do-not-reset-family-for-default-any-all-addres.patch:
fix parsing of "ip route add default via <ipv6_address>" command
(bsc#1091603)

==== kactivitymanagerd ====
Version update (5.12.4 -> 5.12.5)

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== kcm_sddm ====
Version update (5.12.4 -> 5.12.5)
Subpackages: kcm_sddm-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* Also read sddm.conf.d config directories
* Use XCursorTheme on wayland as well
* Read theme.conf of themes
- It's whitelisted (bsc#1065563), no need to keep this around

==== kde-cli-tools5 ====
Version update (5.12.4 -> 5.12.5)
Subpackages: kde-cli-tools5-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== kde-gtk-config5 ====
Version update (5.12.4 -> 5.12.5)
Subpackages: kde-gtk-config5-gtk2 kde-gtk-config5-gtk3 kde-gtk-config5-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== kde-user-manager ====
Version update (5.12.4 -> 5.12.5)
Subpackages: kde-user-manager-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== kdump ====
Version update (0.8.16 -> 0.9.0)

- kdump-block-initrd-parse-etc.service.patch: Block
initrd-parse-etc.service until dump is saved (bsc#1091186).
- Remove kernel-ELF-aarch64: Included in upstream tarball.
- Update to 0.9.0
o Remove support for mkinitrd(8).
- Drop patches now in mainline:
o kdump-Don-t-split-by-default.patch
o kdump-Dont-exit-even-if-initrd-is-not-built.patch
o kdump-KDUMP_SSH_IDENTITY-cfg.patch
o kdump-KDUMP_SSH_IDENTITY.patch
o kdump-Limit-kdump-cpus-to-number-provided-by-config.patch
o kdump-Routable-preferred-source-address.patch
o kdump-URLTransfer-complete-target.patch
o kdump-aarch64.patch
o kdump-activate-QETH-devices.patch
o kdump-additional-mounts-in-dracut-module.patch
o kdump-always-copy-timezone.patch
o kdump-always-kexec_load-if-kexec_file_load-fails.patch
o kdump-always-pass-kernelver-to-dracut.patch
o kdump-bail-out-if-no-default-interface.patch
o kdump-bind-mount-sysroot.patch
o kdump-bootloader-filter-out-KDUMPTOOL_FLAGS.patch
o kdump-calibrate-adjust-sizeof-struct-page.patch
o kdump-calibrate-do-not-add-KDUMP_PHYS_LOAD-to-RAM.patch
o kdump-calibrate-update-kernel-text-data-size.patch
o kdump-calibrate-update-user-space-requirements.patch
o kdump-cmake-compat.patch
o kdump-do-not-check-bind-mount.patch
o kdump-do-not-free-fadump-memory-when-immediate-reboot-is-requested.patch
o kdump-do-not-touch-dracut-vars-if-not-kdumprd.patch
o kdump-explicitly-request-zFCP-devices.patch
o kdump-fail-if-fadump-cannot-be-registered.patch
o kdump-fix-m_threads-missing-initialization.patch
o kdump-fix-missing-index-of-kdump_Host.patch
o kdump-fix-save_dump-to-NFS.patch
o kdump-fix-service-files.patch
o kdump-invoke-subcommand-destructors-on-exit.patch
o kdump-kdump_echo-and-kdump_logger-helpers.patch
o kdump-move-class-SystemCPU-to-header-file.patch
o kdump-multithreading-by-default.patch
o kdump-no-crashkernel-in-Xen-PV-DomU.patch
o kdump-no-xen-secondary-kernel.patch
o kdump-nokaslr.patch
o kdump-nsswitch.conf-filtering.patch
o kdump-pass-IPv6-address-prefix-separately.patch
o kdump-pass-all-IP-routes-to-kdump-environment.patch
o kdump-pre-generate-mount-units.patch
o kdump-prepend-IP-address.patch
o kdump-remount-sysroot-readwrite.patch
o kdump-remove-IPv6-brackets-for-getaddrinfo.patch
o kdump-run-mkinitrd-if-fadump-is-active.patch
o kdump-skip-IPv4-if-no-address.patch
o kdump-source-save_dump.patch
o kdump-treat-KDUMP_CPUS-0-as-all-available-CPUs.patch
o kdump-try-both-kexec_load-and-kexec_file_load.patch
o kdump-use-bus-id-to-identify-qeth-devices.patch
o kdump-x86_64-kexec-file-syscall.patch
- Remove kdump-cmake-compat.patch: Since mkinitrd support has been
removed, compatibility with SLE11 is no longer needed.
- kdump-do-not-touch-dracut-vars-if-not-kdumprd.patch: Do not touch
any dracut variables when generating a non-kdump initrd
(bsc#1091304).

==== kernel-source ====
Version update (4.16.6 -> 4.16.7)
Subpackages: kernel-default kernel-default-devel kernel-devel kernel-docs
kernel-macros kernel-syms

- Linux 4.16.7 (bnc#1012628).
- ext4: prevent right-shifting extents beyond EXT_MAX_BLOCKS
(bnc#1012628).
- ext4: set h_journal if there is a failure starting a reserved
handle (bnc#1012628).
- ext4: add MODULE_SOFTDEP to ensure crc32c is included in the
initramfs (bnc#1012628).
- ext4: add validity checks for bitmap block numbers
(bnc#1012628).
- ext4: fix bitmap position validation (bnc#1012628).
- random: set up the NUMA crng instances after the CRNG is fully
initialized (bnc#1012628).
- random: fix possible sleeping allocation from irq context
(bnc#1012628).
- random: rate limit unseeded randomness warnings (bnc#1012628).
- usbip: usbip_event: fix to not print kernel pointer address
(bnc#1012628).
- usbip: usbip_host: fix to hold parent lock for device_attach()
calls (bnc#1012628).
- usbip: vhci_hcd: Fix usb device and sockfd leaks (bnc#1012628).
- usbip: vhci_hcd: check rhport before using in vhci_hub_control()
(bnc#1012628).
- Revert "xhci: plat: Register shutdown for xhci_plat"
(bnc#1012628).
- xhci: Fix Kernel oops in xhci dbgtty (bnc#1012628).
- xhci: Fix USB ports for Dell Inspiron 5775 (bnc#1012628).
- USB: serial: simple: add libtransistor console (bnc#1012628).
- USB: serial: ftdi_sio: use jtag quirk for Arrow USB Blaster
(bnc#1012628).
- USB: serial: cp210x: add ID for NI USB serial console
(bnc#1012628).
- serial: mvebu-uart: Fix local flags handling on termios update
(bnc#1012628).
- usb: typec: ucsi: Increase command completion timeout value
(bnc#1012628).
- usb: core: Add quirk for HP v222w 16GB Mini (bnc#1012628).
- USB: Increment wakeup count on remote wakeup (bnc#1012628).
- virtio: add ability to iterate over vqs (bnc#1012628).
- virtio_console: don't tie bufs to a vq (bnc#1012628).
- virtio_console: free buffers after reset (bnc#1012628).
- virtio_console: drop custom control queue cleanup (bnc#1012628).
- virtio_console: move removal code (bnc#1012628).
- virtio_console: reset on out of memory (bnc#1012628).
- drm/virtio: fix vq wait_event condition (bnc#1012628).
- tty: Don't call panic() at tty_ldisc_init() (bnc#1012628).
- tty: n_gsm: Fix long delays with control frame timeouts in
ADM mode (bnc#1012628).
- tty: n_gsm: Fix DLCI handling for ADM mode if debug & 2 is
not set (bnc#1012628).
- tty: Avoid possible error pointer dereference at
tty_ldisc_restore() (bnc#1012628).
- tty: Use __GFP_NOFAIL for tty_ldisc_get() (bnc#1012628).
- cifs: smbd: Avoid allocating iov on the stack (bnc#1012628).
- cifs: smbd: Don't use RDMA read/write when signing is used
(bnc#1012628).
- ALSA: dice: fix OUI for TC group (bnc#1012628).
- ALSA: dice: fix error path to destroy initialized stream data
(bnc#1012628).
- ALSA: hda - Skip jack and others for non-existing PCM streams
(bnc#1012628).
- ALSA: opl3: Hardening for potential Spectre v1 (bnc#1012628).
- ALSA: asihpi: Hardening for potential Spectre v1 (bnc#1012628).
- ALSA: hdspm: Hardening for potential Spectre v1 (bnc#1012628).
- ALSA: rme9652: Hardening for potential Spectre v1 (bnc#1012628).
- ALSA: control: Hardening for potential Spectre v1 (bnc#1012628).
- ALSA: pcm: Return negative delays from SNDRV_PCM_IOCTL_DELAY
(bnc#1012628).
- ALSA: core: Report audio_tstamp in snd_pcm_sync_ptr
(bnc#1012628).
- ALSA: seq: oss: Fix unbalanced use lock for synth MIDI device
(bnc#1012628).
- ALSA: seq: oss: Hardening for potential Spectre v1
(bnc#1012628).
- ALSA: hda: Hardening for potential Spectre v1 (bnc#1012628).
- ALSA: hda/realtek - Add some fixes for ALC233 (bnc#1012628).
- ALSA: hda/realtek - Update ALC255 depop optimize (bnc#1012628).
- ALSA: hda/realtek - change the location for one of two front
mics (bnc#1012628).
- mtd: spi-nor: cadence-quadspi: Fix page fault kernel panic
(bnc#1012628).
- mtd: cfi: cmdset_0001: Do not allow read/write to suspend
erase block (bnc#1012628).
- mtd: cfi: cmdset_0001: Workaround Micron Erase suspend bug
(bnc#1012628).
- mtd: cfi: cmdset_0002: Do not allow read/write to suspend
erase block (bnc#1012628).
- mtd: rawnand: tango: Fix struct clk memory leak (bnc#1012628).
- mtd: rawnand: marvell: fix the chip-select DT parsing logic
(bnc#1012628).
- kobject: don't use WARN for registration failures (bnc#1012628).
- scsi: sd_zbc: Avoid that resetting a zone fails sporadically
(bnc#1012628).
- scsi: sd: Defer spinning up drive while SANITIZE is in progress
(bnc#1012628).
- blk-mq: start request gstate with gen 1 (bnc#1012628).
- bfq-iosched: ensure to clear bic/bfqq pointers when preparing
request (bnc#1012628).
- block: do not use interruptible wait anywhere (bnc#1012628).
- vfio: ccw: process ssch with interrupts disabled (bnc#1012628).
- SMB311: Fix reconnect (bnc#1012628).
- ANDROID: binder: prevent transactions into own process
(bnc#1012628).
- PCI: aardvark: Fix logic in advk_pcie_{rd,wr}_conf()
(bnc#1012628).
- PCI: aardvark: Set PIO_ADDR_LS correctly in advk_pcie_rd_conf()
(bnc#1012628).
- PCI: aardvark: Use ISR1 instead of ISR0 interrupt in legacy
irq mode (bnc#1012628).
- PCI: aardvark: Fix PCIe Max Read Request Size setting
(bnc#1012628).
- ARM: amba: Make driver_override output consistent with other
buses (bnc#1012628).
- ARM: amba: Fix race condition with driver_override
(bnc#1012628).
- ARM: amba: Don't read past the end of sysfs "driver_override"
buffer (bnc#1012628).
- ARM: dts: Fix NAS4220B pin config (bnc#1012628).
- ARM: socfpga_defconfig: Remove QSPI Sector 4K size force
(bnc#1012628).
- KVM: arm/arm64: Close VMID generation race (bnc#1012628).
- slimbus: Fix out-of-bounds access in slim_slicesize()
(bnc#1012628).
- powerpc/mm: Flush cache on memory hot(un)plug (bnc#1012628).
- powerpc/mce: Fix a bug where mce loops on memory UE
(bnc#1012628).
- powerpc/powernv/npu: Do a PID GPU TLB flush when invalidating
a large address range (bnc#1012628).
- crypto: drbg - set freed buffers to NULL (bnc#1012628).
- ASoC: dmic: Fix clock parenting (bnc#1012628).
- ASoC: fsl_esai: Fix divisor calculation failure at lower ratio
(bnc#1012628).
- libceph: un-backoff on tick when we have a authenticated session
(bnc#1012628).
- libceph: reschedule a tick in finish_hunting() (bnc#1012628).
- libceph: validate con->state at the top of try_write()
(bnc#1012628).
- PCI / PM: Do not clear state_saved in pci_pm_freeze() when
smart suspend is set (bnc#1012628).
- virt: vbox: Move declarations of vboxguest private functions
to private header (bnc#1012628).
- virt: vbox: Add vbg_req_free() helper function (bnc#1012628).
- virt: vbox: Use __get_free_pages instead of kmalloc for DMA32
memory (bnc#1012628).
- fpga-manager: altera-ps-spi: preserve nCONFIG state
(bnc#1012628).
- module: Fix display of wrong module .text address (bnc#1012628).
- earlycon: Use a pointer table to fix __earlycon_table stride
(bnc#1012628).
- cpufreq: powernv: Fix hardlockup due to synchronous smp_call
in timer interrupt (bnc#1012628).
- rtc: opal: Fix OPAL RTC driver OPAL_BUSY loops (bnc#1012628).
- drm/edid: Reset more of the display info (bnc#1012628).
- drm/amdgpu: set COMPUTE_PGM_RSRC1 for SGPR/VGPR clearing shaders
(bnc#1012628).
- drm/i915/fbdev: Enable late fbdev initial configuration
(bnc#1012628).
- drm/i915/audio: set minimum CD clock to twice the BCLK
(bnc#1012628).
- drm/i915: Enable display WA#1183 from its correct spot
(bnc#1012628).
- drm/amd/display: Fix deadlock when flushing irq (bnc#1012628).
- drm/amd/display: Don't read EDID in atomic_check (bnc#1012628).
- drm/amd/display: Disallow enabling CRTC without primary plane
with FB (bnc#1012628).
- x86/ipc: Fix x32 version of shmid64_ds and msqid64_ds
(bnc#1012628).
- x86/smpboot: Don't use mwait_play_dead() on AMD systems
(bnc#1012628).
- x86/microcode/intel: Save microcode patch unconditionally
(bnc#1012628).
- x86/microcode: Do not exit early from __reload_late()
(bnc#1012628).
- tick/sched: Do not mess with an enqueued hrtimer (bnc#1012628).
- crypto: ccp - add check to get PSP master only when PSP is
detected (bnc#1012628).
- arm/arm64: KVM: Add PSCI version selection API (bnc#1012628).
- sparc64: Fix mistake in oradax license text (bnc#1012628).
- commit 938738d
- tools: power/acpi, revert to LD = gcc (build fix).
- Delete
patches.suse/revert-tools-fix-cross-compile-var-clobbering.patch.
Replace by the upstream commit.
- commit ad991e8

==== kgamma5 ====
Version update (5.12.4 -> 5.12.5)
Subpackages: kgamma5-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== khotkeys5 ====
Version update (5.12.4 -> 5.12.5)
Subpackages: khotkeys5-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== ki18n ====
Subpackages: libKF5I18n5 libKF5I18n5-lang

- Add patch to accelerate building of gettext catalogs:
* 0001-Don-t-need-to-run-previous-iterations-commands-again.patch

==== kinfocenter5 ====
Version update (5.12.4 -> 5.12.5)
Subpackages: kinfocenter5-lang

- Add kcm_opengl-Fix-retrieval-of-DRI-information.patch to fix
displaying 3D acceleration info and kernel module in "OpenGL"
with kernels >= 3.12
- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* kcm_opengl: Fix EGL info retrieval.

==== kio ====
Subpackages: kio-core kio-lang

- Add 0001-Revert-Support-NTFS-hidden-files.patch to revert the new
support for NTFS hidden files, it caused the mount point itself
to be hidden (boo#1091780, kde#392913)

==== kmenuedit5 ====
Version update (5.12.4 -> 5.12.5)
Subpackages: kmenuedit5-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== krb5 ====
Version update (1.15.2 -> 1.15.3)
Subpackages: krb5-32bit

- Upgrade to 1.15.3
* Fix flaws in LDAP DN checking, including a null dereference KDC
crash which could be triggered by kadmin clients with administrative
privileges [CVE-2018-5729, CVE-2018-5730].
* Fix a KDC PKINIT memory leak.
* Fix a small KDC memory leak on transited or authdata errors when
processing TGS requests.
* Fix a null dereference when the KDC sends a large TGS reply.
* Fix "kdestroy -A" with the KCM credential cache type.
* Fix the handling of capaths "." values.
* Fix handling of repeated subsection specifications in profile files
(such as when multiple included files specify relations in the same
subsection).

==== krita ====
Version update (4.0.1 -> 4.0.2)
Subpackages: krita-lang

- Update to 4.0.2:
* See https://krita.org/en/item/krita-4-0-2-released/
* Fix canvas update issues when an animation is being rendered to
the cache (kde#392969)
* Fix playback in isolated mode (kde#392559)
* Fix saving animated transparency and filter masks, adjustment
layer (kde#393302)
* set size for a few timeline icons as it is painfully small on
Windows
* Fix copy-pasting pixel data from animated layers (kde#364162)
* Fix keeping "eraser switch size/opacity" option when saving the
brush (kde#393499)
* Fix update of the preset editor GUI when a default preset is
created (kde#392869)
* Make strength and opacity sliders from 0 to 100 percent in
brush editor
* Fix saving state of the selection masks into .kra
* Read multilayer EXR files saved by Nuke (kde#393771)
* PSD: convert the image if its colorspace is not supported
* Don't let autosave close currently running actions
* increase the range for the pixel grid threshold
* only allow isometric grid with OpenGL enabled (kde#392526)
* Fix a hangup when closing the image (kde#393916)
* Fix a crash when duplicating active global selection masks
(kde#382315)
* Fix crashes on undo/redo of vector path points operations
(kde#393209, kde#393087)
* Fix crash when deleting palette (kde#393353)
* Fix crash when resizing the Tool Options for the shape
selection tool (kde#393217)
* Show the exact bounds in the layer properties dialog
* Add ability for vanishing point assistants to show and
configure radial lines
* Make the Saturation slider update when picking a color that has
Value 100 (kde#391934)
* Fix "Break at segment" to work correctly with closed paths
* Disable right-clicking on popup palette
(kde#391696, kde#378484)
* Don't let the color label widget mess up labels when right
button is pressed (kde#392815)
* Fix Canvas position popping after pop-up palette rotation reset
(kde#391921)
* Change the behaviour of the add layer button (kde#385050)
* Clicking outside preview box moves view to that point
(kde#384687)
* Implement double Esc key press shortcut for canceling continued
transform mode (kde#361852)
* Display flow and opacity as percentage instead of zero to one
on toolbar

==== kscreen5 ====
Version update (5.12.4 -> 5.12.5)
Subpackages: kscreen5-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== kscreenlocker ====
Version update (5.12.4 -> 5.12.5)
Subpackages: kscreenlocker-lang libKScreenLocker5

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== ksshaskpass5 ====
Version update (5.12.4 -> 5.12.5)
Subpackages: ksshaskpass5-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== ksysguard5 ====
Version update (5.12.4 -> 5.12.5)
Subpackages: ksysguard5-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== kwayland-integration ====
Version update (5.12.4 -> 5.12.5)

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== kwin5 ====
Version update (5.12.4 -> 5.12.5)
Subpackages: kwin5-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* Convert JS files to UTF-8 (from ISO-8859-15)
* [KScreen Effect] Fix fade to black (kde#388384)
* Reparse the input configuration when we are notified that it changed
* Don't try to filter null key combinations (kde#390110)
* drm backend: choose correct EGL config with mesa-18
* Ensure _NET_CURRENT_DESKTOP is set on startup (kde#391034)

==== leafpad ====

- Drop libgnomeprint-devel BuildRequires and no longer pass
enable-gnomeprint to configure, no longer recognized nor used.

==== less ====
Version update (487 -> 530)

- update to version 530 [bsc#1091308]
* Don't output terminal init sequence if using -F and file fits
on one screen.
* When using -S, mark truncated lines with a special character.
The character can be changed or disabled via the new --rscroll
option.
* New command M marks the last line displayed on the screen.
* New command ESC-m removes a line mark.
* Status column (enabled via -J) now shows mark letters.
* Status column shows search matches even if highlighting is
disabled via -G.
* A second ESC-u command will clear search match markers in the
status column.
* Do same ANSI escape code filtering for tag matching that we do
for searching, to help when viewing syntax-highlighted code.
* Catch SIGTERM and clean up before exiting.
* Fix bug initializing default charset on Windows.
* Handle keypad ENTER key correctly if it sends something other
than newline.
* Fix buffering bug when using stdin with a LESSOPEN pipe.
* Update Unicode tables to 2017-03-08.
* Pass-thru Unicode formating chars (Cf type) instead of treating
them as binary chars. But treat them as binary if -U is set.
* Fix erroneous binary file warning when UTF-8 file contains ANSI
SGR sequences.
* Fix bugs when using LESSOPEN and switching between stdin and
other files.
* Fix some bugs handling filenames containing shell metacharacters
* Fix some memory leaks.
* Allow some debugging environment variables to be set in lesskey
file.
* Code improvements:
* Use ANSI prototypes in funcs.h declarations.
* Fix some const mismatches.
* Remove archaic "register" in variable declarations.
- remove the following patches (applied upstream)
* less-429-strict_aliasing.patch
* less-429-terminate.patch
- renumber patches
- remove 'make mkhelp' from the specfile as mkhelp.pl is now
distributed in the tarball

==== libXScrnSaver ====
Subpackages: libXss1 libXss1-32bit

- added "Provides: %name = %version-%release" in order to work-
around hard requires for wrongly packaged 3rd party package Slack
(boo#1090514)

==== libblockdev ====
Version update (2.16 -> 2.17)
Subpackages: libbd_btrfs2 libbd_crypto2 libbd_fs2 libbd_loop2 libbd_mdraid2
libbd_part2 libbd_swap2 libbd_utils2 libblockdev2

- Update to version 2.17:
+ New Features:
- New plugin: nvdimm. Support for NVDIMM namespaces management;
- LUKS2 support for creating LUKS2 format including
authenticated disk encryption. Multiple new functions for
working with LUKS devices (suspend/resume, header backup,
metadata size...);
- Extended support for opening TrueCrypt/VeraCrypt volumes.
- Drop pkgconfig(nss) and libvolume_key-devel BuildRequires now
that they are optional and pass without-escrow to configure:
libvolume_key's code is ancient and nearly dead upstream.

==== libbytesize ====
Version update (1.2 -> 1.3)
Subpackages: libbytesize-lang libbytesize1

- Update to version 1.3:
+ Do not segfault when trying to bs_size_free NULL.
- Cleanup specfile removing deprecations.
- Update LGPL License tag appending '-only' to comply with SPDX
3.0.
- Add gcc BuildRequires to avoid implicit dependencies.

==== libetonyek ====
Version update (0.1.7 -> 0.1.8)

- Version update to 0.1.8:
+ More support for keynote content
+ Add support for Keynote 1 documents.
+ Add support for Numbers 3 documents.
+ Fix several issues found by oss-fuzz.
+ Fix build with glm 0.9.9.
+ Other fixes and improvements.

==== libgcrypt ====
Subpackages: libgcrypt20 libgcrypt20-32bit

- Suggest libgcrypt20-hmac for package libgcrypt20 to ensure they
are installed in the right order. [bsc#1090766]

==== libgpg-error ====
Version update (1.29 -> 1.31)
Subpackages: libgpg-error0 libgpg-error0-32bit

- update to 1.31:
* Fixes for platforms other than GNU/Linux
* New translation for Spanish
- update to 1.30:
* fixes for platforms other than GNU/Linux
* Use %license (boo#1082318)

==== libinput ====
Version update (1.10.5 -> 1.10.6)
Subpackages: libinput-udev libinput10

- Update to new bugfix release 1.10.6
* Improve responsiveness for Apple Magic Trackpad.
* evdev: don't suspend keyboard on ThinkPad X1 Yoga 1st
in tablet mode.
* evdev: disable ABS_MT_TOOL_PALM on the Lenovo X1
Carbon 6th gen.
* udev: add the P50 to the T450 jumping motion quirks.

==== libkdecoration2 ====
Version update (5.12.4 -> 5.12.5)
Subpackages: libkdecorations2-5 libkdecorations2private5

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== libkscreen2 ====
Version update (5.12.4 -> 5.12.5)
Subpackages: libKF5Screen7 libkscreen2-plugin

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== libksysguard5 ====
Version update (5.12.4 -> 5.12.5)
Subpackages: libksysguard5-helper libksysguard5-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* [ProcessModel] Return invalid QVariant() for when window is not known

==== libnetfilter_conntrack ====
Version update (1.0.6 -> 1.0.7)

- Update to new upstream release 1.0.7
* new synproxy support
* don't crash on NULL labelmap
* expose a copy of nf_conntrack_common.h

==== libostree ====
Version update (2018.1 -> 2018.4)
Subpackages: libostree-1-1

- Update to version 2018.4:
+ A quick turnaround after 2018.3 to include one main PR:
gh#ostreedev/ostree#1508.
+ "switchroot: Ensure /run/ostree-booted is created even without
initramfs".
+ This fixes ostree when booting without an initramfs. Thanks to
@akiernan for the bug report and helping review the fix! I'm
working on enhancing the test suite, which will help in adding
some coverage here.
- Changes from version 2018.3:
+ Keeping up with our ~monthly cadence. A variety of contributors
here again, it's great to see! There's two notable features,
and a variety of non-critical bugfixes.
+ On the features side we have:
- sysroot: Add concept of deployment "pinning".
- ostree: introduce PAYLOAD_LINK object type.
- lib/fetcher: Allow clients to append to User-Agent.
+ By default libostree prunes older deployments; the pinning
feature allows you to explicitly retain them until unpinned.
This is useful for major version updates.
+ The PAYLOAD_LINK functionality allows libostree to do
content-based deduplication. Previously, if e.g. a file changes
in metadata (mode, owner, xattrs such as SELinux labels), we
can't make a plain Unix hardlink, and hence by default end up
with a new copy on disk. However, the Linux kernel has
standardized "reflinks" and some filesystems support them,
including modern versions of XFS. When reflinks are available,
this functionality causes libostree to compute a content-only
payload, and when importing an object, if it matches in content
with an existing object, to use reflinks to deduplicate, while
using different inodes.
+ Finally, the HTTP User-Agent API is intended for higher level
tools linking to libostree where one wants to expose the app
version as well.
+ Beyond that, as mentioned above we have a variety of
non-critical fixes such as memory leaks, test suite
improvements, correctly printing the "would be pruned" size
when using prune --no-prune, etc.
- Changes from version 2018.2:
+ We're keeping up with the approximately-monthly release cycle.
There's mostly a collection of smaller fixes here, with some
enhancements. I'm biased but my personal favorite is
gh#ostreedev/ostree#1438 since it makes the output of findmnt
rather significantly nicer on this workstation where I have
container tooling creating sub-mounts in /var that are no
longer replicated in /sysroot.
+ For the embedded space, gh#ostreedev/ostree#1411 for devicetree
support is likely interesting, and is related to a discussion
on the mailing list:
https://mail.gnome.org/archives/ostree-list/2018-February/msg00001.html
+ Jonathan's PR gh#ostreedev/ostree#1441 to add callback
filtering to checkout was necessary for us to re-implement some
hairy logic from librpm around "file coloring"; see
projectatomic/rpm-ostree#1227 We're getting quite far along now
in having rpm-ostree be a truly hybrid system, supporting the
existing RPM ecosystem.
+ Marcus definitely wins the "lines changed" count this cycle by
adding SPDX-License-Identifier to all of the C source files
(gh#ostreedev/ostree#1439). This happened because we relicensed
the documentation to dual CC BY-SA and GFDL in
gh#ostreedev/ostree#1432 to enable a Wikipedia page which I
just noticed exists now!

==== libpsl ====
Version update (0.20.1 -> 0.20.2)

- update to 0.20.2:
* Fix non srcdir builds
* Add API decoration
* Detection fallback from libidn2 to libcu, libidn

==== libqt5-qtwebengine ====

- Fix armv6 by removing unneeded additionnal RPM_OPT_FLAGS

==== libraw ====
Version update (0.18.8 -> 0.18.9)

- security update
* CVE-2018-10528 [bsc#1091345]
+ libraw-CVE-2018-10528.patch
* CVE-2018-10529 [bsc#1091346]
+ libraw-CVE-2018-10529.patch
- Updated to version 0.18.9:
* samsung_load_raw: possible buffer overrun
* rollei_load_raw: possible buffer overrun
* nikon_coolscan_load_raw: possible buffer overrun, possible NULL pointer
* find_green: possible stack overrun
* parse_exif: possible stack overrun

==== librsvg ====
Version update (2.42.3 -> 2.42.4)
Subpackages: gdk-pixbuf-loader-rsvg librsvg-2-2 rsvg-thumbnailer
typelib-1_0-Rsvg-2_0

- Update to version 2.42.4:
+ Fixes:
- Elements with systemLanguage attributes without variants now
work better.
- Possible crash on invalid gradient references.
- Negative values are catched in stroke-dasharray properties
instead of leaving the cairo_t in an error state
(glgo#GNOME/librsvg#227).
- Empty transform attribute now correctly yields an identity
transform (glgo#GNOME/librsvg#228).
+ Make robust against patterns and gradients with no children.
+ Lots of code cleanups and refactorings.
+ Code moved to Rust: low-level path and PangoLayout drawing,
"switch" element.

==== libsoup ====
Version update (2.62.1 -> 2.62.2)
Subpackages: libsoup-2_4-1 libsoup-lang typelib-1_0-Soup-2_4

- Update to version 2.62.2:
+ Fixes to instrospection annotation (bgo#795135).
+ Fixes to the test suite with PHP version >= 7.2 (bgo#795111).
+ Critical warning fixes to SoupSocket.
+ Updated translations.
- Drop upstream fixed patches:
+ libsoup-SoupCookie-fix-instrospection-annotation.patch
(bgo#795135).
+ libsoup-xmlrpc-server-dont-count-null.patch (bgo#795111).
+ libsoup-soup-socket-fix-critical-warning.patch.

==== libstorage-ng ====
Version update (3.3.262 -> 3.3.272)
Subpackages: libstorage-ng-ruby libstorage-ng1

- Translated using Weblate (Polish)
- 3.3.272
- Translated using Weblate (Slovak)
- 3.3.271
- Translated using Weblate (Greek)
- 3.3.270
- Translated using Weblate (German)
- 3.3.269
- Translated using Weblate (French)
- 3.3.268
- Translated using Weblate (Portuguese (Brazil))
- 3.3.267
- merge gh#openSUSE/libstorage-ng#524
- fixed probing of NTFS (in special cases) (bsc#1091585)
- added unit test
- 3.3.266
- Translated using Weblate (Catalan)
- 3.3.265
- Translated using Weblate (Catalan)
- 3.3.264
- Translated using Weblate (Slovak)
- 3.3.263

==== libtool ====
Subpackages: libltdl7 libltdl7-32bit

- Drop libtool-no_host_name.patch for now: since we are upgrading
to automake 1.16, we can't have any patch that would require us
to bootstrap libtool, as this is not exactly trivial.
- Remove the line containing 'uname -m' from the libtool.m4 package
after installation: this has the same effect as the patch above
had.

==== libva ====
Version update (2.0.0 -> 2.1.0)
Subpackages: libva-drm2 libva-x11-2 libva2

- Update to 2.1.0
* Bump VA-API version to 1.1.0 and libva to 2.1.0
* Add API for multi-frame processing
* Add entrypoint VAEntrypointStats for Statistics
* Add data structures for HEVC FEI support
* Add new attributes for decoding/encoding/video processing
* Add new VPP filter for Total Color Correction
* Add blending interface in VPP
* Add rotation interface in VPP
* Add mirroring interface in VPP
* Add Chroma siting flags in VPP
* Add new color standard definitions
* Add new interface for exporting surface
* Add message callbacks for drivers to use

==== libva-gl ====
Version update (2.0.0 -> 2.1.0)

- Update to 2.1.0
* Bump VA-API version to 1.1.0 and libva to 2.1.0
* Add API for multi-frame processing
* Add entrypoint VAEntrypointStats for Statistics
* Add data structures for HEVC FEI support
* Add new attributes for decoding/encoding/video processing
* Add new VPP filter for Total Color Correction
* Add blending interface in VPP
* Add rotation interface in VPP
* Add mirroring interface in VPP
* Add Chroma siting flags in VPP
* Add new color standard definitions
* Add new interface for exporting surface
* Add message callbacks for drivers to use

==== libvirt ====
Version update (4.2.0 -> 4.3.0)
Subpackages: libvirt-client libvirt-daemon libvirt-daemon-config-network
libvirt-daemon-config-nwfilter libvirt-daemon-driver-interface
libvirt-daemon-driver-libxl libvirt-daemon-driver-lxc
libvirt-daemon-driver-network libvirt-daemon-driver-nodedev
libvirt-daemon-driver-nwfilter libvirt-daemon-driver-qemu
libvirt-daemon-driver-secret libvirt-daemon-driver-storage
libvirt-daemon-driver-storage-core libvirt-daemon-driver-storage-disk
libvirt-daemon-driver-storage-iscsi libvirt-daemon-driver-storage-logical
libvirt-daemon-driver-storage-mpath libvirt-daemon-driver-storage-rbd
libvirt-daemon-driver-storage-scsi libvirt-daemon-driver-uml
libvirt-daemon-driver-vbox libvirt-daemon-lxc libvirt-daemon-qemu
libvirt-daemon-xen libvirt-libs

- spec: enable libssh support for suse_version >= 1500
- Update to libvirt 4.3.0
- Many incremental improvements and bug fixes, see
http://libvirt.org/news.html
- Remove legacy Xen driver
- Dropped patches:
09877303-virSocketAddrParseInternal.patch,
412afdb8-intro-virSocketAddrParseAny.patch

==== libvorbis ====
Subpackages: libvorbis0 libvorbis0-32bit libvorbisenc2 libvorbisfile3
libvorbisfile3-32bit

- Fix out-of-bounds access inside bark_noise_hybridmp function
(CVE-2017-14160, bsc#1059812):
downstream fix: vorbis-CVE-2017-14160.patch
- Fix stack-basedbuffer over-read in bark_noise_hybridm
(CVE-2018-10393, bsc#1091072):
downstream fix: vorbis-CVE-2018-10393.patch

==== libwebp ====
Version update (0.5.0 -> 1.0.0)

- update baselibs.conf for the new soversions
- update to 1.0.0
- lossy encoder improvements to avoid chroma shifts in various
- ircumstances (issues #308, #340)
- big-endian fixes for decode, RGBA import and
WebPPictureDistortion
- Tool updates:
gifwebp, anim_diff - default duration behavior (<= 10ms)
changed to match web browsers, transcoding
tools (issue #379)
img2webp, webpmux - allow options to be passed in via a file
(issue #355)
- changes from 0.6.1
- lossless performance and compression improvements + a new
'cruncher' mode (-m 6 -q 100)
- ARM performance improvements with clang (15-20% w/ndk r15c,
issue #339)
- webp-js: emscripten/webassembly based javascript decoder
- miscellaneous bug & build fixes (issue #329, #332, #343, #353,
[#360], #361, #363)
- Tool updates / additions:
- added webpinfo - prints file format information (issue #330)
- gif2webp - loop behavior modified to match Chrome M63+
(crbug.com/649264); '-loop_compatibility' can be
used for the old behavior
- changes from 0.6.0
- lossless performance and compression improvements
- miscellaneous performance improvements (SSE2, NEON, MSA)
- webpmux gained a -duration option allowing for frame timing
modification
- new img2webp utility allowing a sequence of images to be
converted to animated webp
- API changes:
- libwebp:
WebPPictureSharpARGBToYUVA
WebPPlaneDistortion
- libwebpmux / gif2webp:
WebPAnimEncoderOptions: kmax <= 0 now disables keyframes,
kmax == 1 forces all keyframes. See
mux.h and the gif2webp manpage for
details.
- changes from 0.5.2
- This release covers CVE-2016-8888 and CVE-2016-9085.
- further security related hardening in the tools; fixes to
gif2webp/AnimEncoder (issues #310, #314, #316, #322),
cwebp/libwebp (issue #312)
- full libwebp (encoder & decoder) iOS framework; libwebpdecoder
WebP.framework renamed to WebPDecoder.framework (issue #307)
- CMake support for Android Studio (2.2)
- miscellaneous build related fixes (issue #306, #313)
- miscellaneous documentation improvements (issue #225)
- minor lossy encoder fixes and improvements
- changes from 0.5.1
- miscellaneous bug fixes (issues #280, #289)
- reverted alpha plane encoding with color cache for
compatibility with libwebp 0.4.0->0.4.3 (issues #291, #298)
- lossless encoding performance improvements
- memory reduction in both lossless encoding and decoding
- force mux output to be in the extended format (VP8X) when
undefined chunks are present (issue #294)
- gradle, cmake build support
- workaround for compiler bug causing 64-bit decode failures on
android devices using clang-3.8 in the r11c NDK
- various WebPAnimEncoder improvements
- disable extras for now. it seems it is not building and
installing a library anymore

==== libyui-qt ====
Version update (2.49.2 -> 2.49.3)

- Replace qt5_use_modules with target_link_libraries (bsc#1091286).
- 2.49.3

==== libyui-qt-graph ====
Version update (2.44.6 -> 2.44.7)

- Replace qt5_use_modules with target_link_libraries (bsc#1091286).
- 2.44.7

==== libyui-qt-pkg ====
Version update (2.45.15 -> 2.45.16)

- Replace qt5_use_modules with target_link_libraries (bsc#1091286).
- 2.45.16

==== libzypp-plugin-appdata ====

- Switch summary to a noun phrase.

==== makedumpfile ====

- makedumpfile-is_cache_page-helper.patch: Add is_cache_page()
helper to check if a page belongs to the cache (bsc#1088354).
- makedumpfile-check-PG_swapbacked.patch: Check PG_swapbacked for
swap cache pages (bsc#1088354).

==== man-pages ====
Version update (4.14 -> 4.16)

- update to 4.16:
* new and rewritten pages:
s390_sthyi.2, network_namespaces.7, vsock.7
* newly documented interfaces:
cgroups.7
Document cgroups v2 "thread mode"
Document cgroup v2 delegation via the 'nsdelegate' mount
option
Document the cgroup.max.depth and cgroup.max.descendants
files
Document 'release_agent' mount option
Document /sys/kernel/cgroup/delegate
Document /sys/kernel/cgroup/features
Document cgroups v2 cgroup.stat file
membarrier.2
Document new membarrier commands introduced in Linux 4.16
Document the following membarrier commands introduced
in Linux 4.16:
MEMBARRIER_CMD_GLOBAL_EXPEDITED
MEMBARRIER_CMD_REGISTER_GLOBAL_EXPEDITED
MEMBARRIER_CMD_PRIVATE_EXPEDITED_SYNC_CORE
MEMBARRIER_CMD_REGISTER_PRIVATE_EXPEDITED_SYNC_CORE
mmap.2
Add description of MAP_SHARED_VALIDATE and MAP_SYNC
Document new MAP_FIXED_NOREPLACE flag
4.17+ kernels offer a new MAP_FIXED_NOREPLACE flag which
allows the caller to atomically probe for a given address
range.
readv.2
io_submit.2
Document RWF_APPEND added in Linux 4.16
capabilities.7
Describe file capability versioning
Document namespaced-file capabilities
- see Changes and Changes.old for detailed upstream change log

==== mariadb ====
Version update (10.2.13 -> 10.2.14)
Subpackages: libmysqld19 mariadb-client mariadb-errormessages

- update to 10.2.14 GA
* notable changes:
* MyRocks is now Gamma (RC)
* MDEV-14533 - Added the DISKS plugin, for monitoring disk
space
* MDEV-14611 - ALTER TABLE EXCHANGE PARTITION does not work
properly when used with DATA DIRECTORY.
* MDEV-15333 - MariaDB (still) slow start
* MDEV-12255 - Wrong result with
innodb_prefix_index_cluster_optimization
* MDEV-12396 - IMPORT TABLESPACE cleanup
* MDEV-14648 - Restore fix for MySQL BUG#39053 - UNINSTALL
PLUGIN does not allow the storage engine to cleanup open
connections
* MDEV-15249 - IMPORT fixes
* MDEV-14988 - innodb_read_only tries to modify files if
transactions were recovered in COMMITTED state
* MDEV-14773 - DROP TABLE hangs for InnoDB table with FULLTEXT
index (fixing a recent regression from upstream)
* MDEV-15529 - IMPORT TABLESPACE unnecessarily uses the
doublewrite buffer
* MDEV-15554 - InnoDB page_cleaner shutdown sometimes hangs
* MDEV-14545 - Mariabackup - Backup fails due to
MLOG_INDEX_LOAD record
* fixes for the following security vulnerabilities: none
* release notes and changelog:
https://mariadb.com/kb/en/library/mariadb-10214-release-notes
https://mariadb.com/kb/en/library/mariadb-10214-changelog
- remove the following patches
* mariadb-10.2.14-xtrabackup-v2.patch (applied upstream,
MDEV-15254)
* mariadb-10.2.13-aarch_compilefix.patch (applied upstream,
MDEV-14318)
* mariadb-10.2.10-disable_openssl_compatibility_check.patch
(fixed upstream in https://github.com/MariaDB/server/pull/558)
* mariadb-10.2.8-systemd-cmake.patch and DWITH_SYSTEMD=ON
compile option that are no longer needed - systemd is detected
correctly now (discussed in [bsc#1080891] and MDEV-8379)
* mariadb-10.2.3-mysql_install_db-mariadb_dirs.patch (fixed
upstream in 52516706c86f9f66c76836eabde7e2477694bac3)
* remove mariadb-10.2.3-group.patch that was just a half solution
of the group support (missing server part) and moreover using
a group option in mysql-systemd-helper was removed few years ago
as it caused troubles because MariaDB resolved it as
'group_concat_max_len option' (see
https://github.com/openSUSE/mysql-packaging/issues/15)
- remove jar files from the tarball (used for testing from the
source)
- build TokuDB without the jemalloc support for now. Jemalloc 5
is not backwards compatible which leads to the errors in the
testsuite at least (MDEV-15034)
- update suse_skipped_tests.list

==== milou5 ====
Version update (5.12.4 -> 5.12.5)
Subpackages: milou5-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== mpfr ====
Subpackages: libmpfr6 mpfr-devel

- Add mpfr-4.0.1-cummulative-patch.patch. Fixes
* A subtraction of two numbers of the same sign or addition of two
numbers of different signs can be rounded incorrectly (and the
ternary value can be incorrect) when one of the two inputs is
reused as the output (destination) and all these MPFR numbers
have exactly GMP_NUMB_BITS bits of precision (typically, 32 bits
on 32-bit machines, 64 bits on 64-bit machines).
* The mpfr_fma and mpfr_fms functions can behave incorrectly in case
of internal overflow or underflow.
* The result of the mpfr_sqr function can be rounded incorrectly
in a rare case near underflow when the destination has exactly
GMP_NUMB_BITS bits of precision (typically, 32 bits on 32-bit
machines, 64 bits on 64-bit machines) and the input has at most
GMP_NUMB_BITS bits of precision.
* The behavior and documentation of the mpfr_get_str function are
inconsistent concerning the minimum precision (this is related to
the change of the minimum precision from 2 to 1 in MPFR 4.0.0). The
get_str patch fixes this issue in the following way: the value 1
can now be provided for n (4th argument of mpfr_get_str); if n = 0,
then the number of significant digits in the output string can now
be 1, as already implied by the documentation (but the code was
increasing it to 2).
* The mpfr_cmp_q function can behave incorrectly when the rational
(mpq_t) number has a null denominator.
* The mpfr_inp_str and mpfr_out_str functions might behave
incorrectly when the stream is a null pointer: the stream is
replaced by stdin and stdout, respectively. This behavior is
useless, not documented (thus incorrect in case a null pointer
would have a special meaning), and not consistent with other
input/output functions.

==== mtools ====

- Disable floppyd support. Floppyd is a daemon allowing remote X
clients to access floppies attached to e.g. thin clients. As it
uses X authentication, it pulls in X libraries.

==== nautilus-share ====
Subpackages: nautilus-share-lang

- Ensure neutrality of descriptions.

==== ncurses ====
Subpackages: libncurses6 ncurses-devel ncurses-utils tack terminfo terminfo-base

- Add ncurses patch 6.1-20180414
+ modify form library to optionally delay cursor movement on a field
edge/boundary (patch by Leon Winter).
+ modify form library to avoid unnecessary update of cursor position in
non-public fields (patch by Leon Winter).
+ remove unused _nc_import_termtype2() function.
+ also add/improve null-pointer checks in other places
+ add a null-pointer check in _nc_parse_entry to handle an error when
a use-name is invalid syntax (report by Chung-Yi Lin).
- Add ncurses patch 6.1-20180407
+ clarify in manual pages that vwprintw and vwscanw are obsolete,
not part of X/Open Curses since 2007.
+ use "const" in some prototypes rather than NCURSES_CONST where X/Open
Curses was updated to do this, e.g., wscanw, newterm, the terminfo
interface. Also use "const" for consistency in the termcap
interface, which was withdrawn by X/Open Curses in Issue 5 (2007).
As of Issue 7, X/Open Curses still lacks "const" for certain return
values, e.g., keyname().

==== nmap ====

- don't build zenmap and ndiff python2 subpackages because of the
python2 deprecation in Tumbleweed
- run spec-cleaner
- tweak Summaries and Descriptions

==== openafs ====
Version update (1.8.0~pre5 -> 1.8.0)
Subpackages: openafs-client openafs-kmp-default

- Update to 1.8.0
- Fix AArch64 build by updating spec and backporting patches:
* add_support_fo_arm64_linux26.patch
* dont_require_AFS_SYSCALL.patch
* add_AFS_STRINGIZE_macro.patch
* avoid_double_param_in_arm64_kernel.patch

==== openssh ====
Subpackages: openssh-helpers

- Use TIRPC on suse_version >= 1500: sunrpc is deprecated and
should be replaced by TIRPC.
- additional rebased patches (bsc#1080779)
* auditing support
* LDAP integration
* various distribution tweaks from SLE12
(X forwarding over IPv6, sftp forced permissions
and verbose batch mode)

==== osinfo-db ====
Version update (20180416 -> 20180502)

- Update database to version 20180502
osinfo-db-20180502.tar.xz

==== oxygen5 ====
Version update (5.12.4 -> 5.12.5)

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== pam ====
Subpackages: pam-32bit pam-devel

- pam_umask.8 needed to be patched as well.
[bsc#1089884, pam-fix-config-order-in-manpage.patch]
- Changed order of configuration files to reflect actual code.
[bsc#1089884, pam-fix-config-order-in-manpage.patch]

==== patterns-gnome ====
Subpackages: patterns-gnome-gnome patterns-gnome-gnome_basis
patterns-gnome-gnome_basis_opt patterns-gnome-gnome_games
patterns-gnome-gnome_ide patterns-gnome-gnome_imaging
patterns-gnome-gnome_internet patterns-gnome-gnome_multimedia
patterns-gnome-gnome_office patterns-gnome-gnome_utilities
patterns-gnome-gnome_x11 patterns-gnome-gnome_yast
patterns-gnome-sw_management_gnome

- Move the gnome(wayland) pattern into the category of
graphicalenvironments, aligning with the other DEs of the distro.
- Re-add gnome-menus recommends to x11 pattern: gnome-menus still
brings the .directory translations, which are shown in GNOME
Activities (boo#1091487).

==== phonon ====
Version update (4.10.0 -> 4.10.1)

- Update to 4.10.1:
* CMake files are now compatible with Qt 5.11. Note that the
relevant CMake code is shared with the backends, and thus also
fixes the compatibility issue there.

==== phonon4qt5 ====
Version update (4.10.0 -> 4.10.1)

- Update to 4.10.1:
* CMake files are now compatible with Qt 5.11. Note that the
relevant CMake code is shared with the backends, and thus also
fixes the compatibility issue there.

==== php7 ====
Version update (7.2.4 -> 7.2.5)
Subpackages: apache2-mod_php7 php7-bcmath php7-bz2 php7-calendar php7-ctype
php7-curl php7-dba php7-devel php7-dom php7-exif php7-fastcgi php7-ftp php7-gd
php7-gettext php7-gmp php7-iconv php7-json php7-ldap php7-mbstring php7-mysql
php7-odbc php7-openssl php7-pdo php7-pear php7-pear-Archive_Tar php7-pgsql
php7-shmop php7-snmp php7-sockets php7-sqlite php7-sysvsem php7-sysvshm
php7-tidy php7-tokenizer php7-wddx php7-xmlreader php7-xmlwriter php7-xsl
php7-zip php7-zlib

- updated to 7.2.5: This is a security release which also contains
several minor bug fixes.
http://php.net/ChangeLog-7.php#7.2.5
- build-test.sh: generic spec file name

==== plasma-framework ====
Subpackages: plasma-framework-components plasma-framework-lang
plasma-framework-private

- Remove outdated calendar.svgz from the Air and Oxygen themes to
fix showing event markers in the calendar (boo#1091832)
- Add Air-Oxygen-themes-Bump-version.patch to raise the version of
these 2 themes, otherwise Plasma would reuse existing caches
rendering the above fix ineffective
- Add patches to fix window thumbnails on Nvidia:
* 0001-Revert-windowthumbnail-Use-gamma-correct-scaling.patch
* 0002-Revert-windowthumbnail-Use-mipmap-texture-filtering.patch
- Add Dont-alter-memory-management-to-hide-an-item.patch to fix a
possible Plasma crash when changing the desktop layout
(kde#391642)

==== plasma-nm5 ====
Version update (5.12.4 -> 5.12.5)
Subpackages: plasma-nm5-lang plasma-nm5-openconnect plasma-nm5-openvpn
plasma-nm5-pptp plasma-nm5-vpnc

- Unconditionally provide the -vpnc subpackage again for now, vpnc
is still in Tumbleweed and has been revived for Leap 15.0
- Activate proper Requires and Supplements for the -openswan,
- l2tp, and -iodine subpackages, the corresponding NetworkManager
packages are in Factory (and Leap) meanwhile
- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None
- Fix plasma-nm5-openconnect supplements
- Don't provide the -vpnc subpackage anymore on TW and Leap 15

==== plasma5-addons ====
Version update (5.12.4 -> 5.12.5)
Subpackages: plasma5-addons-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* Fix run-time warnings on quick-share
* [mediaframe applet] Enable wrapping of fill mode description in config UI
(kde#393232)
* [quickshare applet] Fix sizing of complete color config page
* [quickshare applet] Fix layout of elements in config page
* [mediaframe applet] Fix defunct adding of new files/folder per DnD
* [mediaframe applet] Fix broken selection of fill mode
* [notes applet] Remove unused/unneeded import of private.notifications
* [potd dataengine] Fix Wikimedia Picture of the Day provider
* [Media Frame] Fix config pages to fit themselves into dialog
* [weather applet] Fix wind direction arrows to adapt to color theme
* [potd wallpaper] Add missing Messages.sh, use wallpaper catalog name
* [potd wallpaper] Config UI: fix spacing between UI elements
* [potd dataengine] Do not leak pimpl object of PotdProvider class

==== plasma5-desktop ====
Version update (5.12.4 -> 5.12.5)
Subpackages: plasma5-desktop-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* [Desktop Theme KCM] Workaround bug in FileDialog
* FunnelModel: fix invalid model API usage.
* [Window List] Show pin icon only when in panel (kde#391145)
* Make automounting work even if StorageAccess is ignored (kde#389479)
* [Folder View] Set shortcut on plasmoid.action (kde#392730)
* [Folder View] Use KStandardAction for rename, delete, and trash
* [Folder View] Simplify clearing of lists
* [Folder View] Update "Empty Trash" enabled state for files inside Trash and
links to Trash (kde#392738)
* [System Model] Support actions
* Do clamping in the model and add missing lower bound check (kde#390888)
- Remove patches, now upstream:
* Make-automounting-work-even-if-StorageAccess-is-ignored.patch

==== plasma5-integration ====
Version update (5.12.4 -> 5.12.5)
Subpackages: plasma5-integration-plugin plasma5-integration-plugin-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* KDEPlatformFileDialog: Fix initial directory selection for remote files
(kde#374913)
- Remove patches, now upstream:
* Fix-initial-directory-selection-for-remote-files.patch
- Use %license

==== plasma5-openSUSE ====
Version update (15.0~git20180421T093411~6c02346 ->
15.0~git20180504T125857~b35c1c4)
Subpackages: plasma5-defaults-openSUSE plasma5-theme-openSUSE
plasma5-workspace-branding-openSUSE sddm-theme-openSUSE

- Update to version 15.0~git20180504T125857~b35c1c4:
* Bump theme versions to cause cache refresh
- Update to version 15.0~git20180503T153654~628130a:
* Remove outdated and incompatible calendar.svg (boo#1091832)
- Update to 5.12.5

==== plasma5-pa ====
Version update (5.12.4 -> 5.12.5)
Subpackages: plasma5-pa-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* AbstractModel: Check if index is valid in setData

==== plasma5-workspace ====
Version update (5.12.4 -> 5.12.5)
Subpackages: plasma5-session plasma5-session-wayland plasma5-workspace-lang
plasma5-workspace-libs

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* [ksmserver] Use QUrl::fromUserInput to construct sound url (kde#392725)
* [Image Wallpaper] Fix auto transform for blurred fill (kde#393498)
* sddm-theme: Focus the password field if enter pressed in the username field
* [Notifications] Always scroll to the top when opening (kde#391646)
* [ContextMenu Containment Action] Fix checking for KIOSK (kde#393329)
* [Power Management Engine] Fix kiosk restriction for lockscreen (kde#393331)
* [weather dataengine] envcan: fix forecast terms to match "ice pellets"
* [weather dataengine] bbc: handle and ignore condition "Not Available"
* [weather dataengine] bbc: handle and skip visbility "--"
* [OSD] Enforce plain text
* [weather] BBCUKMET: add missing "thundery showers"
* [weather] BBCUKMET: add missing "light rain showers"/"heavy rain showers"
* [weather dataengine] Fix BBC provider to adapt to change RSS feed
(kde#392510)
* KDE logout screen background color fix (kde#382264)
* fix: Klipper notifications visually broken since plasma 5.12 (kde#390375)
* [notifications applet] Fix two qml warnings about assigning [undefined]
- Remove patches, now upstream:
* Fix-weather-engine-BBC-provider.patch

==== polkit-kde-agent-5 ====
Version update (5.12.4 -> 5.12.5)
Subpackages: polkit-kde-agent-5-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* Add a window icon for authentication dialog under Wayland.
* Remove traces of polkit-kde-authorization tool
- Use %license

==== postgresql ====
Subpackages: postgresql-contrib postgresql-devel postgresql-docs
postgresql-server

- Require update-alternatives by postgresql: one of the main
scripts in use is install-alternatives, which calls u-a.
- Put POSTGRES_LANG into LC_ALL instead of LANG to retain the
previous behaviour of that variable (boo#1077027).

==== postgresql10 ====
Subpackages: libecpg6 libpq5 postgresql10-contrib postgresql10-devel
postgresql10-docs postgresql10-server

- bsc#1091412: server prerequires server-noarch to make sure that
the postgresql user and group exist.

==== powerdevil5 ====
Version update (5.12.4 -> 5.12.5)
Subpackages: powerdevil5-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* Ignore "migration" key for determining whether the config is empty
(kde#391782)
- Remove patches, now upstream:
* 0001-Ignore-migration-key-for-determining-whether-the-con.patch

==== python-dnspython ====

- Add patch pycryptodome.patch to work with pycryptodome:
* pycryptodome.patch

==== python-kiwi ====
Version update (9.14.2 -> 9.14.7)

- Bump version: 9.14.6 ? 9.14.7
- Fixed check for volume group in use
The former implementation evaluates the output of the vgs
command and set the volume group as in use if one of the
listed volume groups on the host contains the group name
set by the image description. This would also match if the
group name set in the image description is e.g 'System' and
the a volume group on the host with name 'SystemVG' exists.
However a conflict only exists on exact match of the name.
The proposed fix is to use the --select feature from vgs
and let it show information on exact match of the vg_name
field. The code in kiwi then just evaluates if the selection
by vgs has a value or not. This Fixes #721
- Fix setup of kiwi_lvm profile variable
kiwi_lvm was always set to true if a volume management system
is in use. However it should only be set to true if the
selected volume management system is lvm. The same applies
to the kiwi_lvmgroup variable which also only makes sense
if the lvm volume management system is used.
This Fixes bsc#1090427
- Bump version: 9.14.5 ? 9.14.6
- Extend test-image-azure integration test
Use xfs as filesystem and set a tag to also test image tags
- Use /dev/zero to really write a zero byte
The cleanup of the 512 byte block for the vhdfixed tag
was based on reading from /dev/null which does effectively
nothing. As the block should be filled with zero bytes
this patch changes the source from /dev/null to /dev/zero
This was found by tests to reproduce the issue reported
in bsc#1090953 but is not causing it
- Add test for the utils class StringToSize
This commit adds a couple of unit tests for the StringToSize class.
- Bump version: 9.14.4 ? 9.14.5
- Run doc target in travis test stage
- Fixup doc conf.py
Do not load kiwi logging which is unneeded and causes many
superfluous messages on the console when sphinx build runs
- Fixup docstring warning from sphinx build
- Fixup travis unit test stages
Build docs in deployment stage only
- Include doc_travis_deploy in travis deploy stage
- Fixed syntax errors shown by travis lint
- Revert "Fixup travis.yml"
This reverts commit 79ccbdff394e2aba4f1e8fb6390a9a8e0d1925e2.
- Revert "Yet another try to get travis stages correct"
This reverts commit aca057c3554795b79c651f63a58967138d00f3c8.
- Yet another try to get travis stages correct
- Fixup travis.yml
Looks like empty lines are not allowed
- Revert "Clearly separate unittest stage from deployment"
This reverts commit 5fd27924c931b6b60903b0015d0a8cf31cf499f7.
- Bump version: 9.14.3 ? 9.14.4
- Some improvements on size calculation
This commit simplifies the unpartitioned area size calculation.
Fixes #709 and it is related to fate#323874
- Clearly separate unittest stage from deployment
- Use travis stages feature for pypi deployment
Problem ist that the deploy section is called for every
item in the former matrix: setup. This means the pypi
upload was triggered twice for the same archive which
means one target always fails. In order to deploy only
once travis provides a stages feature which is used
in this commit
- Bump version: 9.14.2 ? 9.14.3
- Adding unpartitioned size attribute
This commit adds the possibility of setting some unpartitioned area
after the systemdisl partition into the image.
Fixes #709
- Fixed creation of machine settings file
If no vmnic setup is present a request to iterator over
a NoneType object is attempted and failed. This Fixes #710
- volume_manager API docs cleanup
- repository API docs cleanup
- system API docs cleanup
- package_manager API docs cleanup
- build API docs cleanup
- Fixed docstring :rtype: values
In Python the string type name is str not string
- Cleanup of the iso_tools API docs
- Cleanup of the utils API docs
- Cleanup api doc strings
This cleans up and fixes the api documentation for
the public interface of the projects boot source code
files and Fixes #700
- Cleanup of the solver API docs
- Fixup docstring typos per review
- Cleanup api doc strings
This cleans up and fixes the api documentation for
the public interface of the projects storage source code
files and Fixes #698
- Fixup download url in setup.py
Better point to installable packages. This Fixes #702
- Cleanup api doc strings
This cleans up and fixes the api documentation for the
public interface of the projects toplevel source code
files and Fixes #697
- Fixup creation of vmware settings file
The kiwi schema allows for multiple vmnic sections but kiwi
only took the primary one into account. This patch uses all
configured vmnic sections. This Fixes #688
- Support lookup for fstab.append on fstab creation
At the time kiwi creates the fstab with all required fields
to boot the system it now also looks for an optional fstab.append
file and appends its contents to the fstab file. This allows
to setup custom fstab entries for filesystem mounts which are
established outside of the kiwi image building process by
e.g a service at first boot
- Add auto release to pypi on release tags
This will automatically release kiwi on pypi if a new tag in
master is set. This happens when bumpversion is called followed
by a push and push --tags. Only if the tag is pushed the travis
deployment gets triggered. This Fixes #678

==== python-libvirt-python ====
Version update (4.1.0 -> 4.3.0)

- Update to 4.3.0
- Add all new APIs and constants in libvirt 4.3.0
- Update to 4.2.0
- Add all new APIs and constants in libvirt 4.2.0

==== python-matplotlib ====
Subpackages: python3-matplotlib python3-matplotlib-cairo
python3-matplotlib-gtk3 python3-matplotlib-tk

- Fix building on SLE which doesn't have qhull.

==== python-numpy ====
Version update (1.14.0 -> 1.14.3)
Subpackages: python2-numpy python3-numpy

- update to version 1.14.3
Changes documented in release notes:
https://github.com/numpy/numpy/blob/master/doc/release/1.14.3-notes.rst
- update to version 1.14.2
Changes documented in release notes:
https://github.com/numpy/numpy/blob/master/doc/release/1.14.2-notes.rst
- update to version 1.14.1
Changes documented in release notes:
https://github.com/numpy/numpy/blob/master/doc/release/1.14.1-notes.rst

==== python-pycparser ====
Version update (2.17 -> 2.18)
Subpackages: python2-pycparser python3-pycparser

- update to 2.18:
- PR #161 & #184: Update bundled PLY version to 3.10
- PR #158: Add support for the __int128 type.
- PR #169: Handle more tricky TYPEID in declarators.
- PR #178: Add columns to the coord of each node

==== python-qt5 ====
Subpackages: python-qt5-utils python3-qt5

- Add patch to remove use of internal Qt function:
* remove-qtest-waitforevents.patch

==== python-setuptools ====
Version update (39.0.1 -> 39.1.0)
Subpackages: python2-setuptools python3-setuptools

- update to version 39.1.0:
* #1340: Update all PyPI URLs to reflect the switch to the new
Warehouse codebase.
* #1337: In pkg_resources, now support loading resources for modules
loaded by the SourcelessFileLoader.
* #1332: Silence spurious wheel related warnings on Windows.

==== python3 ====
Subpackages: python3-curses python3-dbm python3-tk

- Use faster find subcommand execution strategies.

==== qalculate ====
Subpackages: libqalculate14

- Add patch to fix FD leak (boo#1092329):
* 0001-Fix-leaking-of-FDs-created-by-pipe.patch

==== quilt ====

- quiltrc-support-all-patch-formats-by-default.patch: quiltrc:
Support all patch formats by default (bsc#1088281).

==== rpm ====
Subpackages: rpm-build rpm-devel

- Disable debuginfo dwz compression for baselibs packages
[bnc#1092189]

==== samba ====
Version update (4.8.0+git.19.f53c6c0aa6f -> 4.8.1+git.28.de67ff4c74d)
Subpackages: libdcerpc-binding0 libdcerpc-binding0-32bit libdcerpc0
libdcerpc0-32bit libndr-krb5pac0 libndr-krb5pac0-32bit libndr-nbt0
libndr-nbt0-32bit libndr-standard0 libndr-standard0-32bit libndr0 libndr0-32bit
libnetapi0 libnetapi0-32bit libsamba-credentials0 libsamba-credentials0-32bit
libsamba-errors0 libsamba-errors0-32bit libsamba-hostconfig0
libsamba-hostconfig0-32bit libsamba-passdb0 libsamba-passdb0-32bit
libsamba-util0 libsamba-util0-32bit libsamdb0 libsamdb0-32bit libsmbclient0
libsmbconf0 libsmbconf0-32bit libsmbldap2 libsmbldap2-32bit libtevent-util0
libtevent-util0-32bit libwbclient0 libwbclient0-32bit samba-client
samba-client-32bit samba-doc samba-libs samba-libs-32bit samba-winbind
samba-winbind-32bit

- Move libdfs-server-ad-samba4.so library from kdc to libs package, as it is
required by some client libs; (bsc#1074135);
- Update to 4.8.1; (bsc#1091179);
+ s3: ldap: Ensure the ADS_STRUCT pointer doesn't get freed on error,
we don't own it here; (bso#13244);
+ s3: smbd: Fix possible directory fd leak if the underlying OS doesn't
support fdopendir(); (bso#13270);
+ Round-tripping ACL get/set through vfs_fruit will increase the number of
ACE entries without limit; (bso#13319);
+ s3: smbd: SMB2: Add DBGC_SMB2_CREDITS class to specifically debug credit
issues; (bso#13347);
+ s3: smbd: Files or directories can't be opened DELETE_ON_CLOSE without
delete access; (bso#13358);
+ s3: smbd: Fix memory leak in vfswrap_getwd(); (bso#13372);
+ s3: smbd: Unix extensions attempts to change wrong field in fchown call;
(bso#13375);
+ ms_schema/samba-tool visualize: Fix python2.6 incompatibility;
(bso#13337);
+ Fix invocation of gnutls_aead_cipher_encrypt(); (bso#13352);
+ Windows 10 cannot logon on Samba NT4 domain; (bso#13328);
+ winbindd: Recover loss of netlogon secure channel in case the peer DC is
rebooted; (bso#13332);
+ s3:smbd: Don't use the directory cache for SMB2/3; (bso#13363);
+ ctdb-client: Fix bugs in client code; (bso#13356);
+ ctdb-scripts: Drop "net serverid wipe" from 50.samba event script;
(bso#13359);
+ s3: lib: messages: Don't use the result of sec_init() before calling
sec_init(); (bso#13368);
+ libads: Fix the build '--without-ads'; (bso#13273);
+ winbind: Keep "force_reauth" in invalidate_cm_connection, add
'smbcontrol disconnect-dc'; (bso#13332);
+ vfs_virusfilter: Fix CIDs 1428738-1428740; (bso#13343);
+ dsdb: Fix CID 1034966 Uninitialized scalar variable; (bso#13367);
+ rpc_server: Fix core dump in dfsgetinfo; (bso#13370);
+ smbclient: Fix notify; (bso#13382);
+ Fix smbd panic if the client-supplied channel sequence number wraps;
(bso#13215);
+ Windows 10 cannot logon on Samba NT4 domain; (bso#13328);
+ lib/util: Remove unused '#include <sys/syscall.h>' from tests/tfork.c;
(bso#13342);
+ Fix build errors with cc from developerstudio 12.5 on Solaris;
(bso#13343);
+ Fix the picky-developer build on FreeBSD 11; (bso#13344);
+ s3:modules: Fix the build of vfs_aixacl2.c; (bso#13345);
+ s3:smbd: map nterror on smb2_flush errorpath; (bso#13338);
+ lib:replace: Fix linking when libtirpc-devel overwrites system headers;
(bso#13341);
+ winbindd: 'wbinfo --name-to-sid' returns misleading result on invalid
query; (bso#13312);
+ s3:passdb: Do not return OK if we don't have pinfo set up; (bso#13376);
+ Allow AESNI to be used on all processor supporting AESNI; (bso#13302);

==== shotwell ====
Version update (0.28.2 -> 0.28.3)
Subpackages: shotwell-lang

- Update to version 0.28.3:
+ Fix spacings in search toolbar.
+ Fix "Out of memory" issues when scrolling through large
collections.
+ Bugs fixed: bgo#786702.
+ Updated translations.

==== smartmontools ====

- Fix SUSE default of S.M.A.R.T. checks: really enable nightly
short tests (bsc#1073918).

==== solid ====
Subpackages: libKF5Solid5 libKF5Solid5-lang solid-imports solid-tools

- Add Update-mount-point-after-mount-operations.patch to fix
spurious errors when trying to open an unmounted disk/device in
file manager (kde#370975)

==== sssd ====
Version update (1.16.0 -> 1.16.1)
Subpackages: libnfsidmap-sss libsss_certmap0 libsss_idmap0 libsss_nss_idmap0
libsss_simpleifp0 sssd-32bit sssd-krb5-common sssd-ldap

- Update to new minor upstream release 1.16.1 (fate#323340):
New Features:
* A new option auto_private_groups was added. If this option is
enabled, SSSD will automatically create user private groups based
on user?s UID number. The GID number is ignored in this case.
* The SSSD smart card integration now supports a special type of PAM
conversation implemented by GDM which allows the user to select
the appropriate smrt card certificate in GDM.
* A new API for accessing user and group information was added.
This API is similar to the tradiional Name Service Switch API, but
allows the consumer to talk to SSSD directly as well as to
fine-tune the query with e.g. how cache should be evaluated.
* The sssctl command line tool gained a new command access-report,
which can generate who can access the client machine. Currently
only generating the report on an IPA client based on HBAC rules
is supported.
* The hostid provider was moved from the IPA specific code to
the generic LDAP code. This allows SSH host keys to be access by
the generic LDAP provider as well. See the ldap_host_* options in
the sssd-ldap manual page for more details.
* Setting the memcache_timeout option to 0 disabled creating
the memory cache files altogether. This can be useful in cases
there is a bug in the memory cache that needs working around.

==== subversion ====
Subpackages: libsvn_auth_gnome_keyring-1-0 libsvn_auth_kwallet-1-0
subversion-bash-completion subversion-perl subversion-python subversion-server
subversion-tools

- Remove useless build dependency on pkgconfig(bash-completion).
- Make subversion-bash-completion requires bash-completion, not
pkgconfig(bash-completion).

==== sudo ====
Version update (1.8.22 -> 1.8.23)

- Update to 1.8.23
* primarily a bug fix release
* new cvtsudoers utility (replaces sudoers2ldif) and converts
between sudoers formats and perform some basic filtering.
* removed obsolete sudoers2ldif-env.patch

==== sysdig ====
Version update (0.20.0_k4.16.6_1 -> 0.21.0_k4.16.7_1)

- Update to version 0.21.0:
* Track Versioning in Capture Files: With this release, we will increment the
pcap major/minor version in capture files when a release adds new event types,
additional event fields, etc. that are incompatible with earlier sysdig
versions. [#1081] [#1084]
* Add s390x as a platform using Docker [#1029]
* When saving container information, also store certain mesos-related
environment information associated with the first process in the container
[#1021] [#1057]
* New filtercheck fd.connected returns whether or not a network connection
file descriptor is actually bound to a remote endpoint. Think of udp sockets
that only use sendto() vs udp sockets that use connect() and then send(), or
tcp sockets that have been created but not connect()ed yet. [#1051]
* New filtercheck fd.name_changed is true when an event changes the
connection information for a connection fd. This can occur in some cases such
as udp connections where a connect() changes the connection information for a
fd.
* Make the thread table size configurable via
sinsp::set_max_thread_table_size() [#1056]
* Add support for new AWS Linux 2 AMI [#1058]
* Add process group id to execve events [#1044] [#1080]
* Expand the set of system calls returned by the driver when in dropping mode
[#1075]
* Handle AT_FDCWD arguments to linkat, openat, etc. and resolve the path
relative to the cwd [#1020]

==== systemd ====
Subpackages: libsystemd0 libsystemd0-32bit libudev-devel libudev1
libudev1-32bit systemd-32bit systemd-coredump systemd-logger systemd-sysvinit
udev

- align permissions of /etc/machine-id to upstream code (bsc#1092269)
world writeable machine-id is a security issue

==== systemd-presets-branding-openSUSE ====

- Enable appstream-sync-cache.service on all distros that install
the service (boo#1090346).

==== systemsettings5 ====
Version update (5.12.4 -> 5.12.5)
Subpackages: systemsettings5-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* Polish sidebar header appearance (kde#392340)
* Use font.weight instead of font.bold

==== timezone ====
Version update (2018d -> 2018e)

- timezone update 2018e:
* North Korea switches back from +0830 to +09 on 2018-05-05.
* Ireland's standard time is in the summer, with negative DST
offset to standard time used in Winter (bsc#1073299)

==== timezone-java ====
Version update (2018d -> 2018e)

- timezone update 2018e:
* North Korea switches back from +0830 to +09 on 2018-05-05.
* Ireland's standard time is in the summer, with negative DST
offset to standard time used in Winter (bsc#1073299)

==== transactional-update ====
Version update (2.1 -> 2.2)

- Update to version 2.2
- Fix security issue in self update [boo#1091316]
- Create dirs in /var more reliably by sorting the list
- Rebuild initrd (needed since 2.0)

==== transmission ====
Version update (2.93 -> 2.94)
Subpackages: transmission-common transmission-gtk transmission-gtk-lang

- Update to version 2.94:
+ All Platforms:
- Fix building against LibreSSL.
- Fix building against mbedTLS.
- Fix torrents ETA calculation.
- Fix cross-compilation issues caused by miniupnpc
configuration test.
+ Qt Client: Fix bad downloaded percentage in DetailsDialog.
+ Web Client:
- Fix tracker error XSS in inspector (CVE pending).
- Fix torrent name HTML-escaping in trackers inspector tab.

==== ucode-intel ====
Version update (20180312 -> 20180425)

- Update to version 20180425 (bsc#1091836)
- Name microcodes which are not allowed to load late
with a *.early suffix
- Add releasenotes and microcode list to docs
- Remove BuildRequires on iucode-tool, as the microcode files are
not provided as one big microcode.dat blob anymore, but are
alreayd split up in the needed family-model-stepping files.
-- Updates upon 20180312 release --
---- updated platforms ------------------------------------
GLK B0 6-7a-1/01 0000001e->00000022
Pentium Silver N/J5xxx,-Celeron N/J4xxx
---- removed platforms ------------------------------------
BDX-ML B/M/R0 6-4f-1/ef 0b000021
Xeon E5/E7 v4; Core-i7-69xx/68xx
-- Special release with caveats --
BDX-ML B/M/R0 6-4f-1/ef 0b00002c
Xeon E5/E7 v4; Corei7-69xx/68xx

==== unbound ====
Version update (1.7.0 -> 1.7.1)
Subpackages: libunbound2 unbound-anchor

- update to 1.7.1
Features
- Add --with-libhiredis, unbound support for a new cachedb
backend that uses a Redis server as the storage. This
implementation depends on the hiredis client library
(https://redislabs.com/lp/hiredis/).
And unbound should be built with both --enable-cachedb and
- -with-libhiredis[=PATH] (where $PATH/include/hiredis/hiredis.h
should exist). Patch from Jinmei Tatuya (Infoblox).
- Create additional tls service interfaces by opening them on other
portnumbers and listing the portnumbers as additional-tls-port: nr.
- ED448 support.
- num.query.authzone.up and num.query.authzone.down statistics counters.
- Accept both option names with and without colon for get_option
and set_option.
- low-rtt and low-rtt-pct in unbound.conf enable the server selection
of fast servers for some percentage of the time.
- num.query.aggressive.NOERROR and num.query.aggressive.NXDOMAIN
statistics counters.
- allow-notify: config statement for auth-zones.
- Can set tls authentication with forward-addr: IP#tls.auth.name
And put the public cert bundle in tls-cert-bundle: "ca-bundle.pem".
such as forward-addr: 9.9.9.9@853#dns.quad9.net or
1.1.1.1@853#cloudflare-dns.com
- list_auth_zones unbound-control command.
- Added root-key-sentinel support
Bug Fixes
- Fix #3727: Protocol name is TLS, options have been renamed but
documentation is not consistent.
- Check IXFR start serial.
- Fix typo in documentation.
- Fix #3736: Fix 0 TTL domains stuck on SERVFAIL unless manually
flushed with serve-expired on.
- Fix #3817: core dump happens in libunbound delete, when queued
servfail hits deleted message queue.
- corrected a minor typo in the changelog.
- move htobe64/be64toh portability code to cachedb.c.
- iana port update.
- Do not use cached NSEC records to generate negative answers for
domains under DNSSEC Negative Trust Anchors.
- Fix unbound-control get_option aggressive-nsec
- Check "result" in dup_all(), by Florian Obser.
- Fix #4043: make test fails due to v6 presentation issue in macOS.
- Fix unable to resolve after new WLAN connection, due to auth-zone
failing with a forwarder set. Now, auth-zone is only used for
answers (not referrals) when a forwarder is set.
- Combine write of tcp length and tcp query for dns over tls.
- nitpick fixes in example.conf.
- Fix above stub queries for type NS and useless delegation point.
- Fix unbound-control over pipe with openssl 1.1.1, the TLSv1.3
tls_choose_sigalg routine does not allow the ciphers for the pipe,
so use TLSv1.2.
- Fix that flush_zone sets prefetch ttl expired, so that with
serve-expired enabled it'll start prefetching those entries.
- Fix downstream auth zone, only fallback when auth zone fails to
answer and fallback is enabled.
- Fix for max include depth for authzones.
- Fix memory free on fail for $INCLUDE in authzone.
- Fix that an internal error to look up the wrong rr type for
auth zone gets stopped, before trying to send there.
- Fix auth zone target lookup iterator.
- Fix auth-zone retry timer to be on schedule with retry timeout,
with backoff. Also time a refresh at the zone expiry.
- Fix #658: unbound using TLS in a forwarding configuration does not
verify the server's certificate (RFC 8310 support).
- For addr with #authname and no @port notation, the default is 853.
- man page documentation for dns-over-tls forward-addr '#' notation.
- removed free from failed parse case.
- Fix #4091: Fix that reload of auth-zone does not merge the zonefile
with the previous contents.
- Delete auth zone when removed from config.
- makedist uses bz2 for expat code, instead of tar.gz.
- Fix #4092: libunbound: use-caps-for-id lacks colon in
config_set_option.
- auth zone http download stores exact copy of downloaded file,
including comments in the file.
- Fix sldns parse failure for CDS alternate delete syntax empty hex.
- Attempt for auth zone fix; add of callback in mesh gets from
callback does not skip callback of result.
- Fix cname classification with qname minimisation enabled.
- Fix contrib/fastrpz.patch for this release.
- Fix auth https for libev.
- Fix memory leak when caching wildcard records for aggressive NSEC use
- Fix for crash in daemon_cleanup with dnstap during reload,
from Saksham Manchanda.
- Also that for dnscrypt.

==== webkit2gtk3 ====
Version update (2.20.1 -> 2.20.2)
Subpackages: libjavascriptcoregtk-4_0-18 libwebkit2gtk-4_0-37
libwebkit2gtk3-lang typelib-1_0-JavaScriptCore-4_0 typelib-1_0-WebKit2-4_0
webkit2gtk-4_0-injected-bundles

- Disable JIT on riscv64
- Update to version 2.20.2:
+ Do TLS error checking on GTlsConnection::accept-certificate to
finish the load earlier in case of errors.
+ Properly close the connection to the nested wayland compositor
in the Web Process.
+ Avoid painting backing stores for zero-opacity layers.
+ Fix downloads started by context menu failing in some websites
due to missing user agent HTTP header.
+ Fix video unpause when GStreamerGL is disabled.
+ Fix several GObject introspection annotations.
+ Update user agent quiks to fix Outlook.com and Chase.com.
+ Fix several crashes and rendering issues.
+ Security fixes: CVE-2018-4200.

==== wget ====
Version update (1.19.4 -> 1.19.5)

- GNU wget 1.19.5:
* Fix cookie injection (CVE-2018-0494, bsc#1092061)
* Enable TLS1.3 with recent OpenSSL environment
* New option --ciphers to set GnuTLS / OpenSSL ciphers directly
* Updated CSS grammar to CSS 2.2
* Fixed several memleaks found by OSS-Fuzz
* Fixed several buffer overflows found by OSS-Fuzz
* Fixed several integer overflows found by OSS-Fuzz
* Several minor bug fixes
[bsc#1092061, CVE-2018-0494, wget-ignore-void-retvalue.patch]

==== wireshark ====
Version update (2.4.6 -> 2.6.0)
Subpackages: wireshark-ui-qt

- Turn on ssh, maxminddb, c-ares, snappy, lz4, HTTP2 support
- Use capabilities to be able to run capture as a non-root user.
In easy system permissions mode all users can capture traffic.
In secure system permissions mode, must be added to the wireshark
group to capture. bsc#957624
Drop wireshark-1.2.0-disable-warning-dialog.patch
- update to 2.6.0
* Bug Fixes
- The following bugs have been fixed:
- Dumpcap might not quit if Wireshark or TShark crashes.
(Bug 1419)
* New and Updated Features
The following features are new (or have been significantly
updated) since version 2.5.0:
- HTTP Request sequences are now supported.
- Wireshark now supports MaxMind DB files. Support for GeoIP
and GeoLite Legacy databases has been removed.
- The Windows packages are now built using Microsoft Visual
Studio 2017.
- The IP map feature (the ?Map? button in the ?Endpoints?
dialog) has been removed.
The following features are new (or have been
significantly updated) since version 2.4.0:
- Display filter buttons can now be edited, disabled, and
removed via a context menu directly from the toolbar
- Drag & Drop filter fields to the display filter toolbar or
edit to create a button on the fly or apply the filter as
a display filter.
- Application startup time has been reduced.
- Some keyboard shortcut mix-ups have been resolved by
assigning new shortcuts to Edit ? Copy methods.
- TShark now supports color using the --color option.
- The "matches" display filter operator is now case-insensitive.
- Display expression (button) preferences have been converted
to a UAT. This puts the display expressions in their own file.
Wireshark still supports preference files that contain the
old preferences, but new preference files will be written
without the old fields.
- SMI private enterprise numbers are now read from the
?enterprises.tsv? configuration file.
- The QUIC dissector has been renamed to Google QUIC
(quic ? gquic).
- The selected packet number can now be shown in the Status Bar
by enabling Preferences ? Appearance ? Layout ? Show selected
packet number.
- File load time in the Status Bar is now disabled by default
and can be enabled in
Preferences ? Appearance ? Layout ? Show file load time.
- Support for the G.729A codec in the RTP Player is now added
via the bcg729 library.
- Support for hardware-timestamping of packets has been added.
- Improved NetMon .cap support with comments, event tracing,
network filter, network info types and some Message Analyzer
exported types.
- The personal plugins folder on Linux/Unix is now
~/.local/lib/wireshark/plugins.
- TShark can print flow graphs using -z flow?
- Capinfos now prints SHA256 hashes in addition to RIPEMD160
and SHA1. MD5 output has been removed.
- The packet editor has been removed. (This was a GTK+ only
experimental feature.)
- Support BBC micro:bit Bluetooth profile
- The Linux and UNIX installation step for Wireshark will now
install headers required to build plugins. A pkg-config file
is provided to help with this (see ?doc/plugins.example? for
details). Note you must still rebuild all plugins between
minor releases (X.Y).
- The Windows installers and packages now ship with Qt 5.9.4.
- The generic data dissector can now uncompress zlib compressed
data.
- DNS Stats now supports service level statistics.
- DNS filters for retransmissions and unsolicited responses
have been added.
- The ?tcptrace? TCP Stream graph now shows duplicate ACKS and
zero window advertisements.
- The membership operator now supports ranges, allowing display
filters such as tcp.port in {4430..4434} to be expressed.
See the User?s Guide, chapter Building display filter
expressions for details.
* New Protocol Support
* Updated Protocol Support
- Too many protocols have been updated to list here.
* New and Updated Capture File Support
- Microsoft Network Monitor
* New and Updated Capture Interfaces support
- LoRaTap
- drop patch wireshark-1.2.0-geoip.patch, because file to patch
no more exists

==== xdg-desktop-portal-kde ====
Version update (5.12.4 -> 5.12.5)
Subpackages: xdg-desktop-portal-kde-lang

- Update to 5.12.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
* None

==== xdg-utils ====

- boo#1051353 can't set default browser on kde.
* fix-kde-browser-check.patch

==== yast2 ====
Version update (4.0.72 -> 4.0.73)

- CWM: allow to define back handler for CWM#show.
- CWM: define default handlers for back and abort in CWM::Dialog.
- Needed for Expert Partitioner fate#318196.
- 4.0.73

==== yast2-bootloader ====
Version update (4.0.27 -> 4.0.32)

- Fix installation on BIOS Raid like Intel RSTe (bsc#1091283)
- 4.0.32
- Use "none" bootloader when the boot filesystem is nfs
(bsc#1090752).
- 4.0.31
- Make unit tests architecture agnostic (related to bsc#1091284).
- 4.0.30
- Inform user when an unsupported bootloader is defined in the
AutoYaST profile, display the valid values (bsc#1091284)
- 4.0.29
- Fix test failure on s390 (no functionality change)(bsc#1091631)
- 4.0.28

==== yast2-firewall ====
Version update (4.0.24 -> 4.0.25)

- AutoYaST: Report whether an interface has been defined
in more than one zone (bnc#1089855).
- 4.0.25

==== yast2-http-server ====
Version update (4.0.0 -> 4.0.2)

- Fixed typo in published HttpServerWidgets widget function return
type (bsc#1092155)
- 4.0.2
- Do not cache the widgets definition until it is really needed to
avoid showing an out of date firewall description (the apache
package provides the firewalld service definition and relods the
firewall after it is installed) (bsc#1083492)
- 4.0.1

==== yast2-installation ====
Version update (4.0.50 -> 4.0.55)

- Do not warn too soon about missing disks during autoinstallation
(bsc#1091033)
- 4.0.55
- Better handle the restore scripts when YaST is aborted or
crashes (bsc#1089643)
- Delete the .repo files accidentally saved into inst-sys
(fixes problems when restarting YaST after abort or crash)
- 4.0.54
- fix regression to show again iscsi configuration for disk-less
setup (bsc#1090753)
- 4.0.53
- Fix text direction for RTL languages in the installer settings
screen (bsc#1089846).
- 4.0.52
- Fixed "vnc.sh: /root/.profile: No such file or directory"
(bsc#1089623).
- 4.0.51

==== yast2-network ====
Version update (4.0.30 -> 4.0.31)

- Fix the check for adjusting ifcfg configuration in case of
network based root filesystem when saving the network at the end
of the installation (bsc#1090752).
- 4.0.31

==== yast2-storage-ng ====
Version update (4.0.169 -> 4.0.178)

- AutoYaST: do not crash when size is set to 'auto' for a partition
without a mount point (bsc#1092414).
- 4.0.178
- Add note to YAML files for devices not supported in YAML
(part of fate#318196)
- 4.0.177
- Dump devicegraphs and actions in better strategic places
(part of fate#318196)
- Make sure not to write LUKS passwords to YAML dump files
- 4.0.176
- provide function to disable MD auto assembly (bsc#1090690)
- provide function to inhibit udisks from doing mounts
- use these two functions when running expert partitioner
- 4.0.175
- Partitioner: added option to import mount points (part of
fate#318196 and bsc#1083851).
- 4.0.174
- AutoYaST: handle <subvolumes_prefix/> and <subvolumes> empty
values properly (bsc#1076337, bsc#1090095 and bsc#1091669).
- 4.0.173
- Set fs_passno to 2 for ext2/3/4 filesystems assigned to non-root
mount points (bsc#1078703).
- 4.0.172
- Don't require rspec/mocks (not present in inst-sys)
(part of fate#318196)
- 4.0.171
- Dump devicegraph and actions to separate human readable files
(part of fate#318196)
- 4.0.170

==== yast2-trans ====
Version update (84.87.20180427.16d13b087 -> 84.87.20180508.cec5a7a09)
Subpackages: yast2-trans-af yast2-trans-ar yast2-trans-bg yast2-trans-bn
yast2-trans-bs yast2-trans-ca yast2-trans-cs yast2-trans-cy yast2-trans-da
yast2-trans-de yast2-trans-el yast2-trans-en yast2-trans-en_GB
yast2-trans-en_US yast2-trans-es yast2-trans-et yast2-trans-fa yast2-trans-fi
yast2-trans-fr yast2-trans-gl yast2-trans-gu yast2-trans-hi yast2-trans-hr
yast2-trans-hu yast2-trans-id yast2-trans-it yast2-trans-ja yast2-trans-jv
yast2-trans-ka yast2-trans-km yast2-trans-ko yast2-trans-lo yast2-trans-lt
yast2-trans-mk yast2-trans-mr yast2-trans-nb yast2-trans-nl yast2-trans-pa
yast2-trans-pl yast2-trans-pt yast2-trans-pt_BR yast2-trans-ro yast2-trans-ru
yast2-trans-si yast2-trans-sk yast2-trans-sl yast2-trans-sr yast2-trans-sv
yast2-trans-ta yast2-trans-th yast2-trans-tr yast2-trans-uk yast2-trans-vi
yast2-trans-wa yast2-trans-xh yast2-trans-zh_CN yast2-trans-zh_TW yast2-trans-zu

- Update to version 84.87.20180508.cec5a7a09:
* Fixed a parameter placeholder in po/storage/fi.po
* New POT for text domain 'autoinst'.
* New POT for text domain 'bootloader'.
* New POT for text domain 'control'.
* New POT for text domain 'firewall'.
* New POT for text domain 'http-server'.
* New POT for text domain 'installation'.
* New POT for text domain 'network'.
* New POT for text domain 'packager'.
* New POT for text domain 'storage'.
* Translated using Weblate (Catalan)
* Translated using Weblate (Czech)
* Translated using Weblate (Danish)
* Translated using Weblate (Dutch)
* Translated using Weblate (Finnish)
* Translated using Weblate (French)
* Translated using Weblate (German)
* Translated using Weblate (Hindi)
* Translated using Weblate (Japanese)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Russian)
* Translated using Weblate (Slovak)
* Translated using Weblate (Spanish)


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >